<?php

namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\DateUtil;
use Teknisa\Libs\Util\Environment;
use HCM\Util\HCMParameters;
use HCM\Util\Repositories;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Response\Error;
use HCM\Geral\Repository\TipoAnotacaoRepository;


class TipoAnotacaoService {

    protected $entityManager;
    protected $environment;
    protected $hcmParameters;

    public function __construct(EntityManager $entityManager, Environment $environment, HCMParameters $hcmParameters, TipoAnotacaoRepository $TipoAnotacaoRepository) {
        $this->TipoAnotacaoRepository    = $TipoAnotacaoRepository;
        $this->entityManager             = $entityManager;
        $this->environment               = $environment;
        $this->hcmParameters             = $hcmParameters;
    }
    
    public function validaDelete($nrorg,$nrtipoanotacao) {
        $result = $this->TipoAnotacaoRepository->getTipoAnotacoes($nrorg,$nrtipoanotacao);
            if(!empty($result))
                return false;
        return true;
    }   
    
}