-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     09/05/2024  10:00                   
--   Issue:          SPRT [20] - 479233 - [HCM] - Criação do cadastro de Instrumentos para Avaliação dos Riscos

-- ============================================================
-- Table: SST_MARCA
-- ============================================================


CREATE TABLE SST_MARCA
(
    NRORG                 NUMBER          NOT NULL,
    NRMARCA               NUMBER          NOT NULL,
    NMMARCA               VARCHAR2(200)   NOT NULL,
    IDATIVO               VARCHAR2(1)     DEFAULT 'S' NOT NULL
    CONSTRAINT CKC_IDATIVO_SST_MARCA CHECK (IDATIVO IN ('N','S')),
    DTINCLUSAO            DATE            DEFAULT SYSDATE NOT NULL,
    DTULTATU              DATE            NULL,
    NRORGINCLUSAO         NUMBER(22)      DEFAULT 1 NULL,
    CDOPERINCLUSAO        VARCHAR2(12)    DEFAULT '1' NULL,
    NRORGULTATU           NUMBER(22)      DEFAULT 1 NULL,
    CDOPERULTATU          VARCHAR2(12)    DEFAULT '1' NULL,   
    CONSTRAINT PK_NRMARCA PRIMARY KEY (NRORG, NRMARCA)
);