SELECT 

--R8_FILIAL,afast.R8_MAT,
	--RCM_DESCRI,R8_TIPOAFA,
    
      LGM.MATRICULA_LG
      AS "01_Matricula",
	-----------------------------------------------	
     FN_RETORNA_EMPRESA(afast.R8_FILIAL, afast.CODEMP)
     AS "002 Empresa",
	-----------------------------------------------
	CASE
		WHEN afast.R8_DATAINI IS NOT NULL THEN 
		SUBSTR(afast.R8_DATAINI, 0, 4) || '/' || SUBSTR(afast.R8_DATAINI, 5, 2) || '/' || SUBSTR(afast.R8_DATAINI, 7, 2) 
		ELSE ''
	END AS "03_Data da ocorrencia",
	-----------------------------------------------
	'' AS "04_Data (Publicacao)",
	-----------------------------------------------
	'' AS "05_Situacao (Publicacao)",
	-----------------------------------------------
    /*
        Tabela de Origem SIGAP12.SX5010
    */	
    CASE 
    WHEN afast.R8_TIPO = 'Q' THEN '04' --AFASTAMENTO TEMPORARIO POR MOTIVO LICENCA GESTANTE |FPW: LICENÃ‡A GESTANTE    
    WHEN afast.R8_TIPO = 'O' THEN '02' --AFASTAMENTO TEMPORARIO ACIDENTE TRABALHO SUP. 15 DIAS |FPW: POR ACIDENTE DE TRABALHO, PERÃ?ODO SUP. Ã€ QTD. MÃ?X. DE DIAS DE AUXÃ?LIO-DOENÃ‡A
    WHEN afast.R8_TIPO = 'P' THEN '05' --AFASTAMENTO TEMPORARIO DOENCA SUPERIOR 15 DIAS |FPW: MOTIVO DE DOENÃ‡A, PERÃ?ODO SUP. Ã€ QTD. MÃ?X. DE DIAS DE AUXÃ?LIO-DOENÃ‡A            
    WHEN afast.R8_TIPOAFA = '015' THEN '08' --LICENCA REMUNERADA
    WHEN afast.R8_TIPOAFA = '023' THEN '18' --SUSPENSAO DE CONTRATO MP
    WHEN afast.R8_TIPOAFA = '006' THEN '04' --AFASTAMENTO TEMPORARIO POR MOTIVO DE  LICENCA-MATERNIDADE PAGO PELA EMPRES 
    WHEN afast.R8_TIPOAFA = '026' THEN '07' --ATESTADO COMPARECIMENTO                                                    
    WHEN afast.R8_TIPOAFA = '027' THEN '07' --ATESTADO ACOMPANHAMENTO DE FLHO
    WHEN afast.R8_TIPOAFA = '016' THEN '07' --Outros Motivos de Afastamento Temporário    
    WHEN afast.R8_TIPOAFA = '020' THEN '07' --AFASTAMENTO DOACAO DE SANGUE                                               
    WHEN afast.R8_TIPOAFA = '021' THEN '07' --ATESTADO ACOMPANHAMENTO DE FLHO
    WHEN afast.R8_TIPOAFA = '022' THEN '07' --ATESTADO ACOMPANHAMENTO DE FLHO   
	WHEN afast.R8_TIPOAFA = '025' THEN '11' --ATESTADO POR ACIDENTE DE TRABALHO ATE 15 DIAS 
    WHEN afast.R8_TIPOAFA = '019' THEN '17' --AFASTAMENTO LICENCA PATERNIDADE             
	WHEN afast.R8_TIPOAFA = '003' AND 
	(CASE 
WHEN TRIM(afast.R8_DATAFIM) IS NULL THEN '999'
WHEN afast.R8_DURACAO = 0     
THEN RTRIM(TO_DATE(afast.R8_DATAFIM, 'yyyymmdd') - TO_DATE(afast.R8_DATAINI, 'yyyymmdd') + 1)
ELSE RTRIM(afast.R8_DURACAO)END)<=15 THEN '11' --ATESTADO POR ACIDENTE DE TRABALHO ATE 15 DIAS 
WHEN afast.R8_TIPOAFA = '003' AND 
	(CASE 
WHEN TRIM(afast.R8_DATAFIM) IS NULL THEN '999'
WHEN afast.R8_DURACAO = 0     
THEN RTRIM(TO_DATE(afast.R8_DATAFIM, 'yyyymmdd') - TO_DATE(afast.R8_DATAINI, 'yyyymmdd') + 1)
ELSE RTRIM(afast.R8_DURACAO)END) > 15 THEN '02' --ATESTADO POR ACIDENTE DE TRABALHO ATE 15 DIAS
    
	WHEN afast.R8_TIPOAFA in('004','024') AND 
(CASE 
WHEN TRIM(afast.R8_DATAFIM) IS NULL THEN '999'
WHEN afast.R8_DURACAO = 0    
THEN RTRIM(TO_DATE(afast.R8_DATAFIM, 'yyyymmdd') - TO_DATE(afast.R8_DATAINI, 'yyyymmdd') + 1)
ELSE RTRIM(afast.R8_DURACAO)END) <= 15 THEN '19' --ATESTADO POR DOENCA ATE 15 DIAS / AFASTAMENTO POR DOENCA MAIOR 15 DIAS                                       

  WHEN afast.R8_TIPOAFA in('004','024') AND 
(CASE 
WHEN TRIM(afast.R8_DATAFIM) IS NULL THEN '999'
WHEN afast.R8_DURACAO = 0    
THEN RTRIM(TO_DATE(afast.R8_DATAFIM, 'yyyymmdd') - TO_DATE(afast.R8_DATAINI, 'yyyymmdd') + 1)
ELSE RTRIM(afast.R8_DURACAO)END) > 15 THEN '05' --ATESTADO POR DOENCA ATE 15 DIAS / AFASTAMENTO POR DOENCA MAIOR 15 DIAS                                        

                                          
    ELSE ''  END AS "06_Tipo de afastamento",
	----------------------------------------------
	CASE 
        WHEN TRIM(afast.R8_DATAFIM) IS NULL                     THEN ''
        WHEN afast.R8_DURACAO = 0 OR afast.R8_DURACAO = 999     
        THEN RTRIM(TO_DATE(afast.R8_DATAFIM, 'yyyymmdd') - TO_DATE(afast.R8_DATAINI, 'yyyymmdd') + 1)
        ELSE RTRIM(afast.R8_DURACAO)
	END AS "07_Dias de afastamento",
	-----------------------------------------------
	CASE
        WHEN TRIM(afast.R8_DATAFIM) IS NOT NULL 
        THEN SUBSTR(afast.R8_DATAFIM, 0, 4) || '/' || 
        SUBSTR(afast.R8_DATAFIM, 5, 2) || '/' || SUBSTR(afast.R8_DATAFIM, 7, 2)
        ELSE ''
	END AS "08_Data fim",
	-----------------------------------------------
	CASE 
		WHEN TRIM(afast.R8_DATAFIM) IS NULL THEN 'S'
		ELSE 'N' 
	END AS "09_Sem previsao de retorno",
	-----------------------------------------------
	'' AS "10_Codigo (CID)",
	-----------------------------------------------
	CASE 
	WHEN afast.R8_TIPO = 'O' THEN 'S' 
	WHEN afast.R8_TIPOAFA = '025' THEN 'S'
    WHEN afast.R8_TIPOAFA = '003' THEN 'S' ELSE 'N' END AS "11_Doenca relacionada ao trabalho", --'N' AS "11_Doenca relacionada ao trabalho",
	-----------------------------------------------
	CASE
        WHEN afast.R8_TIPO = 'Q' THEN '17' --AFASTAMENTO TEMPORARIO POR MOTIVO LICENCA GESTANTE |FPW: LICENCA GESTANTE            
        WHEN afast.R8_TIPO = 'O' THEN '01' --AFASTAMENTO TEMPORARIO ACIDENTE TRABALHO SUP. 15 DIAS |FPW: ACIDENTE/DOENCA DO TRABALHO 
        WHEN afast.R8_TIPO = 'P' THEN '03' --AFASTAMENTO TEMPORARIO DOENCA SUPERIOR 15 DIAS |FPW: ACIDENTE/DOENCA NÃO RELACIONADA AO TRABALHO           
        WHEN afast.R8_TIPOAFA = '015' THEN '16' --Licença remunerada - Liberalidade da empresa ou Acordo/Convenção Coletiva de Trabalho
        WHEN afast.R8_TIPOAFA = '023' THEN '37' --SUSPENSAO DE CONTRATO MP
        WHEN afast.R8_TIPOAFA = '006' THEN '17' --AFASTAMENTO TEMPORARIO POR MOTIVO DE  LICENCA-MATERNIDADE PAGO PELA EMPRES 
        WHEN afast.R8_TIPOAFA = '026' THEN '99' --ATESTADO COMPARECIMENTO 
        WHEN afast.R8_TIPOAFA = '027' THEN '99' --ATESTADO ACOMPANHAMENTO DE FLHO 
        WHEN afast.R8_TIPOAFA = '016' THEN '99' --Outros Motivos de Afastamento Temporário    
        WHEN afast.R8_TIPOAFA = '020' THEN '99' --AFASTAMENTO DOACAO DE SANGUE                                               
        WHEN afast.R8_TIPOAFA = '021' THEN '99' --ATESTADO ACOMPANHAMENTO DE FLHO
        WHEN afast.R8_TIPOAFA = '022' THEN '99' --ATESTADO ACOMPANHAMENTO DE FLHO 
        WHEN afast.R8_TIPOAFA in('004','024') THEN '03' --ATESTADO POR DOENCA ATE 15 DIAS /AFASTAMENTO POR DOENCA MAIOR 15 DIAS                                       
        WHEN afast.R8_TIPOAFA = '025' THEN '01' --ATESTADO POR ACIDENTE DE TRABALHO ATE 15 DIAS 
        WHEN afast.R8_TIPOAFA = '003' THEN '01' --ATESTADO POR ACIDENTE DE TRABALHO ATE 15 DIAS
        WHEN afast.R8_TIPOAFA = '019' THEN '16' --AFASTAMENTO LICENCA PATERNIDADE 
		ELSE '' END AS "12_Motivo do afastamento",
	-----------------------------------------------
	CASE
	WHEN afast.R8_TIPOAFA in('004','024') AND afast.R8_DURACAO > 15 THEN '15'
	WHEN afast.R8_TIPOAFA in('004','024') AND afast.R8_DURACAO < 15 THEN RTRIM(afast.R8_DURACAO)
	WHEN afast.R8_TIPOAFA = '003' AND afast.R8_DURACAO > 15 THEN '15'
	WHEN afast.R8_TIPOAFA = '003' AND afast.R8_DURACAO < 15 THEN RTRIM(afast.R8_DURACAO)
	WHEN afast.R8_TIPOAFA = '025' AND afast.R8_DURACAO > 15 THEN '15'
	WHEN afast.R8_TIPOAFA = '025' AND afast.R8_DURACAO < 15 THEN RTRIM(afast.R8_DURACAO)
	
	ELSE (CASE afast.R8_TIPO
        WHEN 'O' THEN 
            CASE 
                WHEN RTRIM(afast.R8_DURACAO) >15 THEN '15'
                ELSE RTRIM(afast.R8_DURACAO)
            END
        WHEN 'P' THEN 
             CASE 
                WHEN RTRIM(afast.R8_DURACAO) >15 THEN '15'
                ELSE RTRIM(afast.R8_DURACAO)
             END
        
       ELSE '' 
    END) END                                                                                  AS "13_Dias de auxilio doenca",
	-----------------------------------------------
	'' AS "14_Acidente de Transito",
	-----------------------------------------------
	'' AS "15_Prorrogacao Referente ao Program",
	-----------------------------------------------
	CASE 
            WHEN afast.R8_TIPO = 'Q' THEN '24' --AFASTAMENTO TEMPORARIO POR MOTIVO LICENCA GESTANTE |FPW: LICENÃ‡A GESTANTE        
            WHEN afast.R8_TIPO = 'O' THEN '20' --AFASTAMENTO TEMPORARIO ACIDENTE TRABALHO SUP. 15 DIAS |FPW: ACIDENTE/DOENÃ‡A DO TRABALHO 
            WHEN afast.R8_TIPO = 'P' THEN '22' --AFASTAMENTO TEMPORARIO DOENCA SUPERIOR 15 DIAS |FPW: ACIDENTE/DOENÃ‡A NÃƒO RELACIONADA AO TRABALHO                       
            WHEN afast.R8_TIPOAFA = '015' THEN '29' 
            WHEN afast.R8_TIPOAFA = '023' THEN '31' --SUSPENSAO DE CONTRATO MP 
            WHEN afast.R8_TIPOAFA = '006' THEN '24' --MATERNIDADE
            WHEN afast.R8_TIPOAFA = '026' THEN '43' --ATESTADO COMPARECIMENTO 
            WHEN afast.R8_TIPOAFA = '027' THEN '43' --ATESTADO ACOMPANHAMENTO DE FLHO
            WHEN afast.R8_TIPOAFA = '016' THEN '43' --Outros Motivos de Afastamento Temporário    
            WHEN afast.R8_TIPOAFA = '020' THEN '43' --AFASTAMENTO DOACAO DE SANGUE                                               
            WHEN afast.R8_TIPOAFA = '021' THEN '43' --ATESTADO ACOMPANHAMENTO DE FLHO
            WHEN afast.R8_TIPOAFA = '022' THEN '43' --ATESTADO ACOMPANHAMENTO DE FLHO 
			WHEN afast.R8_TIPOAFA = '025' THEN '21' --ATESTADO POR ACIDENTE DE TRABALHO ATE 15 DIAS
            WHEN afast.R8_TIPOAFA = '019' THEN '28' --AFASTAMENTO LICENCA PATERNIDADE 
            WHEN afast.R8_TIPOAFA = '003' AND 
	(CASE 
WHEN TRIM(afast.R8_DATAFIM) IS NULL THEN '999'
WHEN afast.R8_DURACAO = 0     
THEN RTRIM(TO_DATE(afast.R8_DATAFIM, 'yyyymmdd') - TO_DATE(afast.R8_DATAINI, 'yyyymmdd') + 1)
ELSE RTRIM(afast.R8_DURACAO)END)<=15 THEN '21' --ATESTADO POR ACIDENTE DE TRABALHO ATE 15 DIAS 
WHEN afast.R8_TIPOAFA = '003' AND 
	(CASE 
WHEN TRIM(afast.R8_DATAFIM) IS NULL THEN '999'
WHEN afast.R8_DURACAO = 0    
THEN RTRIM(TO_DATE(afast.R8_DATAFIM, 'yyyymmdd') - TO_DATE(afast.R8_DATAINI, 'yyyymmdd') + 1)
ELSE RTRIM(afast.R8_DURACAO)END) > 15 THEN '20' --ATESTADO POR ACIDENTE DE TRABALHO ATE 15 DIAS
            WHEN afast.R8_TIPOAFA in('004','024') AND 
			 
(CASE 
WHEN TRIM(afast.R8_DATAFIM) IS NULL THEN '999'
WHEN afast.R8_DURACAO = 0   
THEN RTRIM(TO_DATE(afast.R8_DATAFIM, 'yyyymmdd') - TO_DATE(afast.R8_DATAINI, 'yyyymmdd') + 1)
ELSE RTRIM(afast.R8_DURACAO)END) <= 15 THEN '23' --ATESTADO POR DOENCA ATE 15 DIAS  

            WHEN afast.R8_TIPOAFA in('004','024') AND 
(CASE 
WHEN TRIM(afast.R8_DATAFIM) IS NULL THEN '999'
WHEN afast.R8_DURACAO = 0  
THEN RTRIM(TO_DATE(afast.R8_DATAFIM, 'yyyymmdd') - TO_DATE(afast.R8_DATAINI, 'yyyymmdd') + 1)
ELSE RTRIM(afast.R8_DURACAO)END) > 15 THEN '22' --ATESTADO POR DOENCA ATE 15 DIAS 
             ELSE '' 
    END AS "16_Codigo (Nova situacao)", 
	-----------------------------------------------
	'' AS "17_Data inicio da estabilidade",
	-----------------------------------------------
	afast.R8_OBSAFAS AS "18_Observacao",	
	-----------------------------------------------
	afast.R8_CNPJCES AS "19_Cessionario - CNPJ",
	-----------------------------------------------
	' ' AS "20_Cessionario - Onus",
	-----------------------------------------------
	afast.R8_CNPJSIN AS "21_Sindicato - CNPJ",
	-----------------------------------------------
	'' AS "22_Sindicato - Onus",
	-----------------------------------------------
	'' AS "23_Origem da alteracao",
	-----------------------------------------------
	'' AS "24_Numero do processo",
	-----------------------------------------------
	'N' AS "25_Acidente de Trajeto",
	-----------------------------------------------
	'' AS "26_Afastamento de mesmo motivo",
	-----------------------------------------------
	'' AS "27_Tipo de processo",
	-----------------------------------------------
	'N' AS "28_Desconsiderar este afastamento n",
	-----------------------------------------------
	'' AS "29_Data de nascimento da crianca",
	-----------------------------------------------
	'' AS "30_Inicio do afastamento previdenciario",
	-----------------------------------------------
	'S' AS "31_Gerar ocorrencia de estabilidade",
	-----------------------------------------------
    '' AS "32_Qtde de dias de suspensao para estabilidade",
    -----------------------------------------------
    '' AS "33 CNPJ para mandado eletivo",      
    -----------------------------------------------
    '' AS "34 Opção por remuneração do cargo efetivo",
    -----------------------------------------------
    '' AS "35 Opção por remuneração do cargo efetivo" 
    
    FROM
TB_AUX_HISTORICOAFASTAMENTO afast
inner join SIGAP12.RCM010 on RCM_TIPO = AFAST.R8_TIPOAFA and D_E_L_E_T_ <> '*'

inner JOIN LG_DEPARA_MATRICULA LGM
	ON (LGM.FILIAL_PROTHEUS = afast.R8_FILIAL AND LGM.MATRICULA_PROTHEUS = afast.R8_MAT 
    AND LGM.EMPESA_PROTHEUS = afast.CODEMP)

WHERE
afast.R8_TIPOAFA NOT IN ('001','017') --FERIAS E APOSENTADORIA

order by 2