select * from (
SELECT 
   CASE WHEN fun.numemp = 1 THEN '304'
		 WHEN fun.numemp = 2 THEN '303'
		 ELSE '' 
	END + right('0000000000' + convert(varchar,DEP.numcad), 9) + convert(varchar,DEP.coddep) + '0' as chave, 
   '00110' AS '1CODLAYOUT',
   '' AS  '2PESSOAID',
   CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END  AS '3NUMEMP',
   DEP.numcad AS '4MATRICULA',
   DEP.coddep AS '5SEQ',
   RIGHT('00000000000' + CONVERT(VARCHAR, DEP.numcpf), 11) AS '6CPF',
   '' AS '7PESSOAID',
   '' AS '8CODPEN',
   case when PEN.inipen < fun.datadm then REPLACE((convert(CHAR,fun.datadm,103)),'/','') else  REPLACE((convert(CHAR,PEN.inipen,103)),'/','') end AS '9DTATIVACAO',
   CASE WHEN YEAR(PEN.FIMPEN) = '1900' THEN '' ELSE REPLACE((convert(CHAR,PEN.FIMpen,103)),'/','')  END AS '10DTFINAL',
   DEP.nomdep AS '11NOME',
   REPLACE((convert(CHAR,DEP.DATNAS,103)),'/','') AS '12DTNAS',
   DEP.tipsex AS '13SEXO',
   '100' AS '14PERCENTUAL',
   '96000000' AS '15CEP',
   '39' AS '16TOLOGRADOURO',
   'SEM INFORMAO' AS '17LOGRADOURO',
   '' AS '18NUMERO',
   '' AS '19COMPL',
   'SEM INFORMAO' AS '20BAIRRO',
   '22' AS '21ESTADO',
   '4323804' AS '22MUNI',
   '' AS '23CXPOSTAL',
   '' AS '24CEPCXPOSTAL',
   '' AS '25DDD',
   '' AS '26TELFIXO',
   '' AS '27RAMAL',
   '' AS '28DDDCEL',
   '' AS '29NUMCEL',
   '' AS '30EMAILCORP',
   '' AS '31EMAILPARTIC',
   '' AS '32LINKEDIN',
   '' AS '32FACEBOK',
   '' AS '34TWITER',
   '' AS '35BENEFICIARIO',
   '' AS '36genero'

FROM R036DEP DEP
   INNER JOIN r036pjh PEN ON DEP.numemp =  PEN.numemp AND DEP.numcad = PEN.numcad AND DEP.tipcol = PEN.tipcol AND PEN.coddep = DEP.coddep
   INNER JOIN r034fun FUN ON FUN.NUMEMP = DEP.NUMEMP AND FUN.NUMCAD = DEP.NUMCAD
WHERE DEP.tipcol = 1
   AND DEP.penjud = 'S'
   and PEN.inipen = (select max(PEN1.inipen) from r036pjh pen1 where pen1.numemp = pen.numemp and pen1.numcad = pen.numcad and pen1.tipcol = pen.tipcol and pen1.coddep = pen.coddep)

union
SELECT distinct
   CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END + right('0000000000' + convert(varchar,DEP.numcad), 9) + convert(varchar,DEP.coddep) + '1' as chave, 
   '110.1' AS '1CODLAYOUT',
   '' AS  '2PESSOAID',
   CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END   AS '3NUMEMP',
   DEP.numcad AS '4MATRICULA',
   DEP.coddep AS '5SEQ',
   convert(varchar, pen.valini) as '6ValorFixo',
   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',
   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir'
FROM 
   R036DEP DEP
   INNER JOIN r036pjh PEN ON 
      DEP.numemp =  PEN.numemp AND DEP.numcad = PEN.numcad AND DEP.tipcol = PEN.tipcol AND PEN.coddep = DEP.coddep
   INNER JOIN r034fun FUN ON 
      FUN.NUMEMP = DEP.NUMEMP AND FUN.NUMCAD = DEP.NUMCAD
WHERE 
   DEP.tipcol = 1 AND 
   pen.valini > 0 and
   DEP.penjud = 'S'
   and PEN.inipen = (select max(PEN1.inipen) from r036pjh pen1 where pen1.numemp = pen.numemp and pen1.numcad = pen.numcad and pen1.tipcol = pen.tipcol and pen1.coddep = pen.coddep)
 
 
 union

 
SELECT distinct
   CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END + right('0000000000' + convert(varchar,DEP.numcad), 9) + convert(varchar,DEP.coddep) + '2' as chave, 
   '110.2' AS '1CODLAYOUT',
   '' AS  '2PESSOAID',
   [dbo].[FNC_DEPARA](Dep.numemp, 'EMPRESA', 'BIOLAB')    AS '3NUMEMP',
   DEP.numcad AS '4MATRICULA',
   DEP.coddep AS '5SEQ',
   case when pen.perpen >= 100 then '100.00' else convert(varchar, pen.perpen) end as '6Percentual',
   '24515' as '7evento',
   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',
   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir'
FROM 
   R036DEP DEP
   INNER JOIN r036pjh PEN ON 
      DEP.numemp =  PEN.numemp AND DEP.numcad = PEN.numcad AND DEP.tipcol = PEN.tipcol AND PEN.coddep = DEP.coddep
   INNER JOIN r034fun FUN ON 
      FUN.NUMEMP = DEP.NUMEMP AND FUN.NUMCAD = DEP.NUMCAD
WHERE 
   DEP.tipcol = 1 AND 
   pen.perpen >0  and
   DEP.penjud = 'S'
   and PEN.inipen = (select max(PEN1.inipen) from r036pjh pen1 where pen1.numemp = pen.numemp and pen1.numcad = pen.numcad and pen1.tipcol = pen.tipcol and pen1.coddep = pen.coddep)
union

SELECT 
   [dbo].[FNC_DEPARA](Dep.numemp, 'EMPRESA', 'BIOLAB') + right('0000000000' + convert(varchar,DEP.numcad), 9) + convert(varchar,DEP.coddep) +'5' as chave,
   '110.5' AS '1CODLAYOUT',
   '' AS  '2PESSOAID',
   [dbo].[FNC_DEPARA](Dep.numemp, 'EMPRESA', 'BIOLAB')  AS '3NUMEMP',
   DEP.numcad AS '4MATRICULA',
   DEP.coddep AS '5SEQ',
   '100' as '6Percentual',
   isnull(convert(varchar,bco.tipaux), '13') as '7FormaPagto',
   isnull(convert(varchar,bco.codban), '') as '8Banco',
   right('0000' + isnull(convert(varchar,bco.codage), ''),4) as '9Agencia',
   isnull(convert(varchar,bco.conban), '') as '10Conta',
   isnull(convert(varchar,bco.digban), '') as '11DvConta',
   isnull(convert(varchar,bco.tipban), '') as '12TipoConta',
   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',
   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir',   'excluir'
FROM 
   R036DEP DEP
   INNER JOIN r036pjh PEN ON 
      DEP.numemp =  PEN.numemp AND DEP.numcad = PEN.numcad AND DEP.tipcol = PEN.tipcol AND PEN.coddep = DEP.coddep
   INNER JOIN r034fun FUN ON 
      FUN.NUMEMP = DEP.NUMEMP AND FUN.NUMCAD = DEP.NUMCAD
   left join r033con bco on bco.codpes = dep.codpes and bco.datalt = (select max(a.datalt) from r033con a where a.codpes = bco.codpes)
WHERE 
   DEP.tipcol = 1 AND 
   pen.perpen >0  and
   DEP.penjud = 'S'

) 