/*------------------------------------------------------------------------------------------------------------------------------+
|
+------------------------------------------------------------------------------------------------------------------------------*/

/*
USE ORIGEM_GHC_SENIOR_SJRP_02_09_2022
select distinct histcar.codmot, mot.nommot
from r038HCA histcar
	LEFT JOIN r076mot mot ON
		mot.codmot = histCar.codmot
order by 1*/



/*------------------------------------------------------------------------------------------------------------------------------+
|
+------------------------------------------------------------------------------------------------------------------------------*/
USE ORIGEM_GHC_SENIOR_SJRP_27_01_2023_GOLIVE

SELECT
	'Ento' AS "Ento",
	row_number() over (order by histCar.numemp, histCar.numcad, CONVERT(DATE, histCar.datalt, 103)) AS "ID",
	'NO' AS "Ignorar",
	CONVERT(varchar, histCar.datalt, 103) AS "Data Movimentao",
	
	CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END AS '2CdiEmpresa', 		
		
	--'999' AS "Codigo da empresa",
    dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') AS "1 Matrcula (Colaborador)",         
	dbo.fnc_depara( histcar.codmot, 'MOTSALARIO', 'HMC-IMC-SJRP') AS "Codigo do Motivo da Movimentao", 
	UPPER(mot.nommot) AS "Descrio",
	replace(dbo.fnc_depara(histCar.codcar, 'CARGOS','HMC-IMC-SJRP'), ' - DePara No Encontrado', '') AS "Codigo Cargo Efetivo Destino"
FROM 
	r038HCA histCar
	LEFT JOIN r076mot mot ON
		mot.codmot = histCar.codmot
	INNER JOIN R034FUN FUN ON 
		histCar.NUMEMP = FUN.NUMEMP AND 
		histCar.TIPCOL = FUN.TIPCOL	AND 
		histCar.NUMCAD = FUN.NUMCAD
	INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG ON 
		FUN.numemp=MIG.NUMEMP AND 
		FUN.TIPCOL=MIG.TIPCOL AND 
		FUN.numCAD=MIG.NUMCAD
WHERE 
   histCar.numemp in (1,2) and
   fun.TIPCOL = 1 	AND 
   histCar.datalt > fun.datadm and
   (fun.sitafa <> 7 or
    (fun.sitafa = 7 and fun.datafa >= '01/01/2017')) --Demitido
	--AND dbo.fnc_depara( histCar.NUMCAD, 'MATRICULA', 'ISL') NOT LIKE ('%DePara No Encontrado') 
    --AND dbo.fnc_depara( hsa.NUMCAD, 'MATRICULA', 'ISL') > 6183
    --AND NOT EXISTS (select 1 from ORIGEM_SIRIO_09_12_2021.r038HCA x where x.numemp = histCar.numemp and x.numcad= histCar.numcad and x.datalt = histCar.datalt)
	--AND histCar.NUMCAD IN (3763,3765,3775,3776,3777,3778,3779,3780,3781,3790,3791,3793,3795,3800,3822,34005249,34005252,41000630,41000632,3815)
ORDER BY CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END, dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP'), CONVERT(DATE, histCar.datalt, 103)




/*------------------------------------------------------------------------------------------------------------------------------+
| --Exclusao
+------------------------------------------------------------------------------------------------------------------------------*/

/*select 
   his.numemp AS "Codigo da empresa",
   his.numcad as "Matricula",
   replace(convert(varchar, his.datalt, 102), '.', '/') as "Data Movimentao",
   '' as sequencial,
   '' as 'Excluir Lote',
   '1016'  as "Tipo Movimentacao"
from 
   r038HCA his
   INNER JOIN R034FUN FUN ON 
      his.NUMEMP = FUN.NUMEMP AND
	  his.TIPCOL = FUN.TIPCOL AND
	  his.NUMCAD = FUN.NUMCAD
where 
    FUN.TIPCOL = 1 and
   (fun.sitafa <> 7 or
   (fun.sitafa = 7 and fun.datafa >= '01/01/2017')) --Demitido
order by his.numcad, his.datalt desc
*/