SELECT FUN.NUMEMP,
       CASE WHEN FUN.NUMEMP = 1 THEN 304
		    WHEN FUN.NUMEMP = 2 THEN 303
		    ELSE 0
	   END AS EMPRESA_LG,
       FUN.TIPCOL,
	   FUN.NUMCAD,
	   DBO.FNC_DEPARA( CAST(FUN.NUMEMP AS VARCHAR)+'_'+CAST(FUN.TIPCOL AS VARCHAR)+'_'+CAST(FUN.NUMCAD AS VARCHAR),'MATRICULA','HMC-IMC-SJRP') AS MATRICULA
  INTO MIG_PROLABORE
  FROM R034FUN FUN
       INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP=MIG.NUMEMP AND FUN.TIPCOL=MIG.TIPCOL AND FUN.NUMCAD=MIG.NUMCAD )  
 WHERE FUN.codvin IN (80)
   AND FUN.tipcol = 1


SELECT *
  FROM VALORESHISTORICOS VA
 WHERE COD_FOLHA_LG = 1
   AND EXISTS (SELECT 1 
                 FROM MIG_PROLABORE P
				WHERE P.EMPRESA_LG = VA.CODIGO_EMPRESA
				  AND P.MATRICULA = VA.MATRICULA)


UPDATE VALORESHISTORICOS
   SET COD_FOLHA_LG = 10
 WHERE COD_FOLHA_LG = 1
   AND EXISTS (SELECT 1 
                 FROM MIG_PROLABORE 
				WHERE MIG_PROLABORE.EMPRESA_LG = VALORESHISTORICOS.CODIGO_EMPRESA
				  AND MIG_PROLABORE.MATRICULA = VALORESHISTORICOS.MATRICULA)



-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT '5'					AS "01 Quando o registro existir",
       VA.CODIGO_EMPRESA	AS "02 Cdigo da Empresa",
	   VA.MATRICULA			AS "03 Matrcula do colaborador",
	   VA.COD_FOLHA_LG		AS "04 Cdigo da folha",
	   VA.REFERENCIA		AS "05 Ms de Referncia",
	   VA.COD_EVENTO_LG		AS "06 Cdigo do Evento",
	   ''					AS "07 Total das parcelas",
	   ''					AS "08 N da parcela atual",
	   VA.Vlr_Evento_NUM	AS "09 Valor"
  FROM VALORESHISTORICOS_V4_20221121 VA
 WHERE VA.PerComp_Aux BETWEEN 201701 AND 201912
   AND VA.Vlr_Evento_NUM > 0
   AND EXISTS (SELECT 1 
                 FROM MIG_PROLABORE P
				WHERE P.EMPRESA_LG = VA.CODIGO_EMPRESA
				  AND P.MATRICULA = VA.MATRICULA)
 ORDER BY VA.PerComp_Aux DESC, CONVERT(BIGINT,VA.CODIGO_EMPRESA), CONVERT(BIGINT,VA.MATRICULA), CONVERT(BIGINT,VA.COD_FOLHA_LG), CONVERT(BIGINT,VA.COD_EVENTO_LG)




SELECT '1'					AS "01 Quando o registro existir",
       VA.CODIGO_EMPRESA	AS "02 Cdigo da Empresa",
	   VA.MATRICULA			AS "03 Matrcula do colaborador",
	   VA.COD_FOLHA_LG		AS "04 Cdigo da folha",
	   VA.REFERENCIA		AS "05 Ms de Referncia",
	   VA.COD_EVENTO_LG		AS "06 Cdigo do Evento",
	   ''					AS "07 Total das parcelas",
	   ''					AS "08 N da parcela atual",
	   VA.Vlr_Evento_NUM	AS "09 Valor"
  FROM VALORESHISTORICOS VA
 WHERE VA.PerComp_Aux BETWEEN 202001 AND 202112
   AND VA.Vlr_Evento_NUM > 0
   AND EXISTS (SELECT 1 
                 FROM MIG_PROLABORE P
				WHERE P.EMPRESA_LG = VA.CODIGO_EMPRESA
				  AND P.MATRICULA = VA.MATRICULA)
 ORDER BY VA.PerComp_Aux DESC, CONVERT(BIGINT,VA.CODIGO_EMPRESA), CONVERT(BIGINT,VA.MATRICULA), CONVERT(BIGINT,VA.COD_FOLHA_LG), CONVERT(BIGINT,VA.COD_EVENTO_LG)

