/*
ANALISE DE BANCO, AGENCIA E CONTA
*/

SELECT 
            F.RA_FILIAL, 
            F.RA_MAT,
            FN_RETORNA_MATRICULA_LG(F.RA_FILIAL, F.RA_MAT) AS "MATRICULA",
            FN_RETORNA_EMPRESA(F.RA_FILIAL, F.CODEMP) AS "EMPRESA LG",
            F.RA_NOME, 
            F.RA_CIC, 
            F.RA_BCDEPSA, 
            W.BANCO,
            W.AGENCIA,
            W.DV_AGENCIA,
            SUBSTR(F.RA_BCDEPSA, 1,3) AS "TB_BANCO ",
            SUBSTR(F.RA_BCDEPSA, 4,4) AS "TB_AGENCIA",
            SUBSTR(F.RA_BCDEPSA, 8,1) AS "TB_DIGITO",
            F.RA_CTDEPSA, 
            F.RA_DEMISSA
FROM

                TB_AUX_FUNCIONARIOS F
LEFT JOIN VW_LAYOUT_AGENCIA W
                ON (
                       lpad(TRIM(TO_CHAR(SUBSTR(TRIM(F.RA_BCDEPSA), 1,3))),3,'0') = TRIM(TO_CHAR(W.BANCO)) AND
                       TRIM(TO_CHAR(SUBSTR(TRIM(F.RA_BCDEPSA), 4,4))) = TRIM(TO_CHAR(W.AGENCIA)) AND
                       TRIM(TO_CHAR(SUBSTR(TRIM(F.RA_BCDEPSA), 8,1))) = TRIM(TO_CHAR(W.DV_AGENCIA))
 )
WHERE F.RA_DEMISSA = ' ';


--CONTAGEM COLABORADORES
SELECT  F.RA_BCDEPSA, COUNT(*)
FROM
TB_AUX_FUNCIONARIOS F 
LEFT JOIN LG_DEPARA_MATRICULA LGM
	ON (LGM.FILIAL_PROTHEUS = F.RA_FILIAL AND LGM.MATRICULA_PROTHEUS = F.RA_MAT)
AND  F.RA_DEMISSA = ' '
  GROUP BY F.RA_BCDEPSA
