/**********************************************************************************************************************/
/**** PROJETO GRUPO CICOPAL 2022                                                                                     **/
/**** IMPLANTAO DOS BANCOS                                                                                         **/
/**** SCRITP DE FUNO                                                                                               **/
/**** ESSE SCRIPT RETORNO O CODIGO DA MOVIMENTAO DE CARGOS                                                          **/
/**********************************************************************************************************************/

--------------------------------------------------------
-- CRIAO DA FUNCAO
--------------------------------------------------------
CREATE OR REPLACE FUNCTION FN_RETORNA_CARGO_ADM(FILIAL IN VARCHAR2, MATRICULA IN VARCHAR2) 

   RETURN NUMBER 
   
   IS CODIGO_LG NUMBER;
   
   BEGIN 
   
      SELECT CODIGONOVOLG
      INTO CODIGO_LG
      FROM TB_AUX_MOVIMENTACAO_CARGOS TMC
      WHERE TRIM(TMC.R7_FILIAL) = FILIAL AND TRIM(TMC.R7_MAT) = MATRICULA
      AND TRIM(TMC.R7_DATA) = (SELECT MIN(R7_DATA) FROM TB_AUX_MOVIMENTACAO_CARGOS TMC2 WHERE TRIM(TMC2.R7_MAT) = TRIM(TMC.R7_MAT) AND TRIM(TMC2.R7_FILIAL) = TRIM(TMC.R7_FILIAL))
      AND ROWNUM = 1;
      
      RETURN(CODIGO_LG); 
      
    END;
    
    select * from TB_AUX_MOVIMENTACAO_CARGOS
   