SELECT DISTINCT
    -- (F.RA_CATFUNC),F.RA_CATEFD,f.ra_mat, f.ra_filial,f.codemp,f.ra_cargo,
     LPAD(ROWNUM, 14, 0)
   	--lpad(ROW_NUMBER() OVER (ORDER BY F.RA_MAT), 14,'0') 
AS "001_IDSEQCOLABORADOR",
-----------------------------------------------------------------------------------------------
	'00010' 
AS "002_Cdigo de identificao do leiaute",
-----------------------------------------------------------------------------------------------
	''	    
AS "003_Cdigo do Perfil da Admisso",
-----------------------------------------------------------------------------------------------
	''		
AS "004_Pessoa ID",
-----------------------------------------------------------------------------------------------
	FN_RETORNA_EMPRESA(F.RA_FILIAL, F.CODEMP)
AS "005 Empresa",
-----------------------------------------------------------------------------------------------
	LGM.MATRICULA_LG
AS "006_MATRICULA",
-----------------------------------------------------------------------------------------------
	SUBSTR(F.RA_ADMISSA,7,2) || SUBSTR(F.RA_ADMISSA,5,2) || SUBSTR(F.RA_ADMISSA,1,4) 
AS "007_DATA_ADMISSAO/CONTRATO",
-----------------------------------------------------------------------------------------------
	REPLACE(REPLACE(F.RA_CIC, '.',''), '-','') 
AS "008_CPF",
-----------------------------------------------------------------------------------------------
	TRIM(F.RA_NOMECMP) 
AS "009_NOME",
-----------------------------------------------------------------------------------------------
	SUBSTR(F.RA_NASC,7,2) || SUBSTR(F.RA_NASC,5,2) || SUBSTR(F.RA_NASC,1,4)

AS "010_DATA_DE_NASCIMENTO",
-----------------------------------------------------------------------------------------------
 F.RA_SEXO 
AS "011_SEXO",
-----------------------------------------------------------------------------------------------
	CASE 
		WHEN RTRIM(F.RA_ESTCIVI ) = 'S' THEN '1' -- Solteiro (a)
		WHEN RTRIM(F.RA_ESTCIVI ) = 'C' THEN '2' -- Casado (a)
		WHEN RTRIM(F.RA_ESTCIVI ) = 'Q' THEN '3' -- Separado Judicialmente
		WHEN RTRIM(F.RA_ESTCIVI ) = 'D' THEN '4' -- Divorciado (a)
		WHEN RTRIM(F.RA_ESTCIVI ) = 'V' THEN '5' -- Vivo (a)
		WHEN RTRIM(F.RA_ESTCIVI ) = 'M' THEN '6' -- Outros
		ELSE '1'
	END 
AS "012_ESTADO_CIVIL",
-----------------------------------------------------------------------------------------------
	''  
AS "013_DATA_DO_CASAMENTO",
-----------------------------------------------------------------------------------------------
	CASE 
		WHEN F.RA_ESTCIVI = 'M' THEN 'S' -- Unio Estavel
		ELSE 'N'
	END	
AS "014_UNIAO_ESTAVEL",
-----------------------------------------------------------------------------------------------
	CASE 
		WHEN RTRIM(F.RA_ESTCIVI) = 'M' THEN SUBSTR(F.RA_ADMISSA,7,2) || SUBSTR(F.RA_ADMISSA,5,2) || SUBSTR(F.RA_ADMISSA,1,4) -- Unio Estavel
		ELSE ''
	END 
AS "015_DATA_DA_UNIAO_ESTAVEL",
-----------------------------------------------------------------------------------------------
	CASE 
		WHEN RTRIM(F.RA_CASADBR) = '2' THEN 'N'
		ELSE ''
	END 
AS "016_CASADO_COM_BRASILEIRA",
-----------------------------------------------------------------------------------------------
	CASE 
		WHEN RTRIM(F.RA_FILHOBR) = '1' AND TRIM(F.RA_CPAISOR) <> '01058' THEN 'S'
		ELSE 'N'
	END 
AS "017_POSSUI_FILHO_BRASILEIRO",
-----------------------------------------------------------------------------------------------
	CASE 
		WHEN TRIM(F.RA_NJUD14) IS NULL	THEN 'N' 
		ELSE 'S'
	END 
AS "018_POSSUI_ALVARA_JUDICIAL_PARA_TRABALHAR",
---------------------------------------------------------------------------------------------
	CASE
		WHEN TRIM(RA_NJUD14) IS NULL THEN ''
		ELSE F.RA_NRPROC
	END AS "019_NUMERO_DO_ALVARA",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN RTRIM(F.RA_CPAISOR) IS NULL    THEN '105' -- Brasil
	WHEN RTRIM(F.RA_CPAISOR) = '01058' THEN '105' -- Brasil
    WHEN RTRIM(F.RA_CPAISOR) = '08508' THEN '850' --Venezuela                 
    WHEN RTRIM(F.RA_CPAISOR) = '03417' THEN '341' --Haiti (afonso)  
	ELSE '105'
END AS "020_PAIS_DE_NASCIMENTO",
-----------------------------------------------------------------------------------------------
CASE WHEN
TRIM(RA_NUMNATU) IS NOT NULL THEN '105'  -- Se for naturalizado dever ser obrigatriamente 105 - BR
ELSE 
        CASE 
            WHEN RTRIM(F.RA_CPAISOR) IS NULL    THEN '105' -- Brasil
            WHEN RTRIM(F.RA_CPAISOR) = '01058' THEN '105' -- Brasil
            WHEN RTRIM(F.RA_CPAISOR) = '08508' THEN '850' --Venezuela    
            WHEN RTRIM(F.RA_CPAISOR) = '03417' THEN '341' --Haiti (afonso) 
            ELSE '105'
        END 
END "021_PAIS_DE_NACIONALIDADE",
-----------------------------------------------------------------------------------------------
CASE
WHEN TRIM(RA_NUMNATU) IS NOT NULL THEN ''  -- Se for naturalizado NO informa data chegada mais.
    ELSE 
    CASE 
        WHEN TRIM(F.RA_DATCHEG) IS NULL OR TRIM(F.RA_CPAISOR) IS NULL OR TRIM(F.RA_CPAISOR) = '01058'
        THEN ''
        ELSE SUBSTR(F.RA_ADMISSA,7,2)|| SUBSTR(F.RA_ADMISSA,5,2)||SUBSTR(F.RA_ADMISSA,1,4)
    END 
END AS "022_DATA_DA_CHEGADA",	
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_DATNATU) IS NULL
    THEN ''
	ELSE SUBSTR(F.RA_ADMISSA+1,7,2)|| SUBSTR(F.RA_ADMISSA,5,2)||SUBSTR(F.RA_ADMISSA,1,4)
END AS "023_DATA_DA_NATURALIZACAO",
-----------------------------------------------------------------------------------------------
/*
CASE 
	WHEN TRIM(F.RA_NUMNATU) IS NULL
    THEN ''
	ELSE REPLACE(F.RA_NUMNATU,'/','')
    END
*/
CASE 
    WHEN     TRIM(RA_NUMNATU) IS NOT NULL THEN  -- Se for naturalizado dever informar a portaria
            CASE                                                                                                                               
                WHEN RTRIM(F.RA_CPAISOR) = '08508'  --Venezuela                 
                    OR  RTRIM(F.RA_CPAISOR) = '03417' THEN '00' --Haiti (afonso)  
                 ELSE                                                                                                                           
                    NULL                                                                                                                             
            END  
    ELSE ''
END AS "024_PORTARIA_DA_NATURALIZACAO",
        ---------- -------------------------------------------------------------------------------------
CASE WHEN
    (SELECT COD_LG FROM TB_AUX_MUNICIPIOS_DEPARA
    WHERE TRIM(MUNICIPIO_LG)||'-'||TRIM(UF_LG) = 
    TRIM(F.RA_MUNNASC)||'-'||TRIM(F.RA_NATURAL)
    AND ROWNUM =1) IS NULL
THEN '4323804'
ELSE 
TO_CHAR((SELECT COD_LG FROM TB_AUX_MUNICIPIOS_DEPARA
WHERE TRIM(MUNICIPIO_LG)||'-'||TRIM(UF_LG) = 
TRIM(F.RA_MUNNASC)||'-'||TRIM(F.RA_NATURAL)
AND ROWNUM =1))
END AS "025_NATURALIDADE",
--------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_RACACOR) IS NULL OR RTRIM(F.RA_RACACOR)  IN ('3','0') THEN '9'
	ELSE RTRIM(F.RA_RACACOR) 
END	AS "026_RACACOR",
-----------------------------------------------------------------------------------------------
CASE 

	WHEN RTRIM(F.RA_GRINRAI) = '10' THEN '01'   -- ANALFABETO                                            - Analfabeto, inclusive o que, embora tenha recebido instruo, no se alfabetizou
	WHEN RTRIM(F.RA_GRINRAI) = '20' THEN '02'   -- AT 4 SERIE INCOMPLETA (PRIMARIO INCOMPLETO)         - At o 5 ano incompleto do Ensino Fundamental (antiga 4 srie) ou que se tenha alfabetizado sem ter frequentado escola regular
	WHEN RTRIM(F.RA_GRINRAI) = '25' THEN '03'   -- COM 4 SERIE COMPLETA DO 1 GRAU (PRIMARIO COMPLETO)  - 5 ano completo do Ensino Fundamental
	WHEN RTRIM(F.RA_GRINRAI) = '30' THEN '04'   -- 5 A 8 SERIE INCOMPLETA (GINASIO INCOMPLETO)         - Do 6 ao 9 ano do Ensino Fundamental incompleto (antiga 5 a 8 srie)
	WHEN RTRIM(F.RA_GRINRAI) = '35' THEN '05'   -- PRIMEIRO GRAU (GINASIO) COMPLETO                      - Ensino Fundamental completo
	WHEN RTRIM(F.RA_GRINRAI) = '40' THEN '06'   -- SEGUNDO GRAU (COLEGIAL) INCOMPLETO                    - Ensino Mdio incompleto
	WHEN RTRIM(F.RA_GRINRAI) = '45' THEN '07'   -- SEGUNDO GRAU (COLEGIAL) COMPLETO                      - Ensino Mdio completo
	WHEN RTRIM(F.RA_GRINRAI) = '50' THEN '08'   -- SUPERIOR INCOMPLETO                                   - Educao Superior incompleta
	WHEN RTRIM(F.RA_GRINRAI) = '55' THEN '09'   -- SUPERIOR COMPLETO                                     - Educao Superior completa
	WHEN RTRIM(F.RA_GRINRAI) = '85' THEN '10'   -- PS GRADUACAO 
    WHEN RTRIM(F.RA_GRINRAI) = '75' THEN '11'   -- MESTRADO COMPLETO  
    WHEN RTRIM(F.RA_GRINRAI) = '65' THEN '14'   -- PS GRADUACAO 
    WHEN RTRIM(F.RA_GRINRAI) = '95' THEN '15'   -- POS-DOUTORADO 
END AS "027_GRAU_DE_INSTRUCAO",
-----------------------------------------------------------------------------------------------
'2' AS "028_TIPO_DA_FILIACAO_1",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_MAE) IS NOT NULL THEN RTRIM(F.RA_MAE)
    WHEN TRIM(F.RA_MAE) IS NULL THEN 'NAO INFORMADO'
END AS "029_NOME_DA_FILIACAO_1",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_PAI) IS NOT NULL AND TRIM(F.RA_MAE) IS NOT NULL THEN '1'
	WHEN TRIM(F.RA_PAI) IS NOT NULL AND TRIM(F.RA_MAE) IS NULL THEN ''
	WHEN TRIM(F.RA_PAI) IS NULL AND TRIM(F.RA_MAE) IS NOT NULL THEN ''
	ELSE ''
END AS "030_TIPO_DA_FILIACAO_2",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_PAI) IS NOT NULL AND TRIM(F.RA_MAE) IS NOT NULL THEN RTRIM(F.RA_PAI)
	WHEN TRIM(F.RA_PAI) IS NOT NULL AND TRIM(F.RA_MAE) IS NULL THEN ''
	WHEN TRIM(F.RA_PAI) IS NULL AND TRIM(F.RA_MAE) IS NOT NULL THEN ''
	ELSE ''
END AS "031_NOME_DA_FILIACAO_2",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_PAI) IS NOT NULL AND TRIM(F.RA_MAE) IS NULL THEN '0'
	ELSE ''
END AS "032_RESPONSAVEL_LEGAL",
-------------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(RA_TPDEFFI) <> '0' AND  TRIM(F.RA_DEFIFIS) = '1' THEN 'N' -- SIM
	WHEN RTRIM(F.RA_DEFIFIS) = '2' THEN 'N' -- NO	
	ELSE 'N'
END AS "033_PESSOA_COM_DEFICIENCIA", -- Primeiro subimos todos sem deficincia depois voltamos atualizando e informando as deficincias por ser mais fcil 
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_CEP) IS NULL  THEN '00000000' 
	WHEN RTRIM(F.RA_CEP) = '00000000'	THEN '95588000' 
	ELSE RTRIM(F.RA_CEP) 
END AS "034_CEP_DO_ENDERECO",
-----------------------------------------------------------------------------------------------
CASE
	WHEN RTRIM(F.RA_LOGRTP) = ' '    THEN '39'  -- RUA PARA VAZIOS
	WHEN RTRIM(F.RA_LOGRTP) = 'A'    THEN '03'  -- AREA
	WHEN RTRIM(F.RA_LOGRTP) = 'A'  	 THEN '03' --AREA
	WHEN RTRIM(F.RA_LOGRTP) = 'AC'   THEN '51' --ACESSSO
	WHEN RTRIM(F.RA_LOGRTP) = 'ACL'  THEN '53' --ACESSO LOCAL
	WHEN RTRIM(F.RA_LOGRTP) = 'AL'   THEN '02' --ALAMEDA
	WHEN RTRIM(F.RA_LOGRTP) = 'AV'   THEN '04' --AVENIDA
	WHEN RTRIM(F.RA_LOGRTP) = 'BC'   THEN '67' --BECO
	WHEN RTRIM(F.RA_LOGRTP) = 'CAM'  THEN '78' --CAMINHO
	WHEN RTRIM(F.RA_LOGRTP) = 'CJ'   THEN '11' --CONJUNTO
	WHEN RTRIM(F.RA_LOGRTP) = 'COND' THEN '10' --CONDOMINIO
	WHEN RTRIM(F.RA_LOGRTP) = 'ESM'  THEN '101' --ESTRADA MUNICIPAL
	WHEN RTRIM(F.RA_LOGRTP) = 'EST'  THEN '15' --ESTRADA
	WHEN RTRIM(F.RA_LOGRTP) = 'ETN'  THEN '106' --ESTANCIA
	WHEN RTRIM(F.RA_LOGRTP) = 'FAV'  THEN '16' --FAVELA
	WHEN RTRIM(F.RA_LOGRTP) = 'FAZ'  THEN '17' --FAZENDA
	WHEN RTRIM(F.RA_LOGRTP) = 'GJA'  THEN '20' --GRANJA
	WHEN RTRIM(F.RA_LOGRTP) = 'IND'  THEN '117' --INDETERMINADO
	WHEN RTRIM(F.RA_LOGRTP) = 'LGO'  THEN '23' --LAGO
	WHEN RTRIM(F.RA_LOGRTP) = 'LOT'  THEN '26' --LOTEAMENTO
	WHEN RTRIM(F.RA_LOGRTP) = 'LT'   THEN '120' --LOTE
	WHEN RTRIM(F.RA_LOGRTP) = 'NUR'  THEN '126' --NUCLE RURAL
	WHEN RTRIM(F.RA_LOGRTP) = 'PC'   THEN '33' --PRACA
	WHEN RTRIM(F.RA_LOGRTP) = 'PSA'  THEN '31' --PASSARELA
	WHEN RTRIM(F.RA_LOGRTP) = 'PSG'  THEN '137' --PASSAGEM
	WHEN RTRIM(F.RA_LOGRTP) = 'PSS'  THEN '139' --PASSAGEM SUBTERRANEA
	WHEN RTRIM(F.RA_LOGRTP) = 'Q'    THEN '142' --QUADRA
	WHEN RTRIM(F.RA_LOGRTP) = 'R'    THEN '39' --RUA
	WHEN RTRIM(F.RA_LOGRTP) = 'RES'  THEN '37' --RESIDENCIAL
	WHEN RTRIM(F.RA_LOGRTP) = 'ROD'  THEN '38' --RODOVIA
	WHEN RTRIM(F.RA_LOGRTP) = 'ST'   THEN '40' --SETOR
	WHEN RTRIM(F.RA_LOGRTP) = 'TV'   THEN '42' --TRAVESSA
	WHEN RTRIM(F.RA_LOGRTP) = 'VL'   THEN '170' --VIA LOCAL
	WHEN RTRIM(F.RA_LOGRTP) = 'VLA'  THEN '49' --VIELA
    ELSE '39'
END AS "035_TIPO_DO_LOGRADOURO",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_LOGRDSC) IS NOT NULL THEN REPLACE(RTRIM(F.RA_LOGRDSC),',',' ')
	ELSE 'SEM INFORMAO'
END AS "036_LOGRADOURO",
CASE 
	WHEN TRIM(F.RA_NUMENDE) IS NOT NULL THEN RTRIM(F.RA_NUMENDE)
	ELSE 'SN'
END AS "037_Numero",
-----------------------------------------------------------------------------------------------
 CASE 
	WHEN TRIM(F.RA_COMPLEM) IS NOT NULL THEN REPLACE(TRIM(F.RA_COMPLEM),',',' ')
	ELSE 'NAO INFORMADO'
END AS "038_COMPLEMENTO",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_BAIRRO) IS NOT NULL THEN REPLACE(RTRIM(F.RA_BAIRRO),',',' ')
	ELSE 'SEM INFORMAO'
END AS "039_BAIRRO",
-----------------------------------------------------------------------------------------------
 CASE 
            WHEN F.RA_ESTADO = 'AC'  THEN '00'
            WHEN F.RA_ESTADO = 'AL'	 THEN '01'
            WHEN F.RA_ESTADO = 'AM'  THEN '02'
            WHEN F.RA_ESTADO = 'AP'  THEN '03'
            WHEN F.RA_ESTADO = 'BA'  THEN '04'
            WHEN F.RA_ESTADO = 'CE'  THEN '05'
            WHEN F.RA_ESTADO = 'DF'  THEN '06'
            WHEN F.RA_ESTADO = 'ES'  THEN '07'
            WHEN F.RA_ESTADO = 'GO'	 THEN '08'
            WHEN F.RA_ESTADO = 'MA'	 THEN '09'
            WHEN F.RA_ESTADO = 'MG'	 THEN '10'
            WHEN F.RA_ESTADO = 'MS'  THEN '11'
            WHEN F.RA_ESTADO = 'MT'	 THEN '12'
            WHEN F.RA_ESTADO = 'PA'	 THEN '13'
            WHEN F.RA_ESTADO = 'PB'	 THEN '14'
            WHEN F.RA_ESTADO = 'PE'	 THEN '15'
            WHEN F.RA_ESTADO = 'PI'	 THEN '16'
            WHEN F.RA_ESTADO = 'PR'	 THEN '17'
            WHEN F.RA_ESTADO = 'RJ'	 THEN '18'
            WHEN F.RA_ESTADO = 'RN'	 THEN '19'
            WHEN F.RA_ESTADO = 'RO'	 THEN '20'
            WHEN F.RA_ESTADO = 'RR'	 THEN '21'
            WHEN F.RA_ESTADO = 'RS'	 THEN '22'
            WHEN F.RA_ESTADO = 'SC'	 THEN '23'
            WHEN F.RA_ESTADO = 'SE'	 THEN '24'
            WHEN F.RA_ESTADO = 'SP'	 THEN '25'
            WHEN F.RA_ESTADO = 'TO'	 THEN '26'
            ELSE '22'
        END 

  AS "040_ESTADO",
 ----------------------------------------------------------------------------------------------- 
 NVL( (SELECT COD_LG FROM TB_AUX_MUNICIPIOS_DEPARA  WHERE TRIM(MUNICIPIO_LG)||'-'||TRIM(UF_LG) =  TRIM(UPPER(F.RA_MUNICIP))||'-'||TRIM(F.RA_ESTADO)  AND ROWNUM =1),
        CASE WHEN
    (SELECT COD_LG FROM TB_AUX_MUNICIPIOS_DEPARA
    WHERE TRIM(MUNICIPIO_LG)||'-'||TRIM(UF_LG) = 
    TRIM(F.RA_MUNNASC)||'-'||TRIM(F.RA_NATURAL)
    AND ROWNUM =1) IS NULL
THEN '4323804'
ELSE 
TO_CHAR((SELECT COD_LG FROM TB_AUX_MUNICIPIOS_DEPARA
WHERE TRIM(MUNICIPIO_LG)||'-'||TRIM(UF_LG) = 
TRIM(F.RA_MUNNASC)||'-'||TRIM(F.RA_NATURAL)
AND ROWNUM =1))
END)
  AS "041_MUNICIPIO",
-----------------------------------------------------------------------------------------------
''	AS "042_CAIXA_POSTAL",
-----------------------------------------------------------------------------------------------
''	AS "043_CEP_DA_CAIXA_POSTAL",
-----------------------------------------------------------------------------------------------
CASE
    WHEN
        length(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(f.RA_TELEFON, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')) < 8         THEN         ''  
    WHEN
        TRIM(F.RA_TELEFON) IS NULL THEN ''
    WHEN
        TRIM(F.RA_TELEFON) IS NOT NULL AND TRIM(F.RA_DDDFONE) IS NULL THEN '99'
    ELSE
        TRIM(F.RA_DDDFONE)
END
AS "044_DDD_DDI_FIXO", 
 ---------------------------------------------------------------------------------------------
 /*
 CASE  
    WHEN 
        TRIM(F.RA_TELEFON) IS NULL THEN ''
    ELSE
        REPLACE(TRIM(F.RA_TELEFON),' ','')
    END
 AS "045_NUMERO_DO_TELEFONE_FIXO",
 */

  CASE
        WHEN length(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(f.RA_TELEFON, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')) < 8         THEN
            ''                
        WHEN length(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(f.RA_TELEFON, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')) = 8         THEN
            REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(f.RA_TELEFON, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')
        WHEN length(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(f.RA_TELEFON, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')) = 9         THEN
            REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(f.RA_TELEFON, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')
        WHEN length(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(f.RA_TELEFON, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ','') ,'[[:alpha:]]')) > 9         THEN
            substr(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(f.RA_TELEFON, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]'), 3 , 9)
           
    END       AS "045_NUMERO_TELEFONE_FIXO",
 -----------------------------------------------------------------------------------------------
'' AS "046_RAMAL",
-----------------------------------------------------------------------------------------------
CASE
    WHEN
        length(REGEXP_REPLACE(replace(replace(replace(replace(replace(f.RA_NUMCELU, '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')) < 8         THEN         ''  
    WHEN
        TRIM(F.RA_NUMCELU) IS NULL THEN ''
    ELSE
        TRIM(F.RA_DDDCELU) END
AS "047_DDD_DDI_CELULAR",
-----------------------------------------------------------------------------------------------
/*
CASE 
    WHEN 
        TRIM(F.RA_NUMCELU) = '' THEN ''
    ELSE
        REPLACE(SUBSTR(TRIM(F.RA_NUMCELU),1,9),' ','')  END 
AS "048_NUMERO_DO_TELEFONE_CELULAR",
*/
 CASE
        WHEN length(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(replace(f.RA_NUMCELU, '+', ''), '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')) < 8         THEN
            ''                
        WHEN length(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(replace(f.RA_NUMCELU, '+', ''), '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')) = 8         THEN
            REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(replace(f.RA_NUMCELU, '+', ''), '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')
        WHEN length(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(replace(f.RA_NUMCELU, '+', ''), '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')) = 9         THEN
            REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(replace(f.RA_NUMCELU, '+', ''), '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')
        WHEN length(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(replace(f.RA_NUMCELU, '+', ''), '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')) > 9         THEN
            REGEXP_REPLACE(substr(replace(replace(replace(replace(replace(replace(f.RA_NUMCELU, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''), 3, 9),'[[:alpha:]]')
           
    END
AS "048_NUMERO_DO_TELEFONE_CELULAR",                      

-----------------------------------------------------------------------------------------------
CASE	
	WHEN TRIM(F.RA_EMAIL) IS NULL THEN ''
	ELSE 
		CASE 
			WHEN RTRIM(F.RA_EMAIL) LIKE '%@%' AND LOWER(RTRIM(F.RA_EMAIL)) LIKE '%.com%' THEN REPLACE(LOWER(LTRIM(RTRIM(F.RA_EMAIL))),'','')
			ELSE ''
		END
END AS "049_E_MAIL_CORPORATIVO",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_EMAIL2) IS NULL THEN ''
	ELSE 
		CASE 
			WHEN INSTR(F.RA_EMAIL2,'/') > 0 THEN SUBSTR(F.RA_EMAIL2,1,INSTR(F.RA_EMAIL2,'/')-1)
            WHEN F.RA_EMAIL2  LIKE '%@%' AND LOWER(F.RA_EMAIL2) LIKE '%.com%' THEN REPLACE(LOWER(LTRIM(RTRIM(F.RA_EMAIL2))),'','')
			ELSE ''
		END
END AS "050_E_MAIL_PARTICULAR",
-----------------------------------------------------------------------------------------------
'' AS "051_LINKEDIN",
'' AS "052_FACEBOOK",
'' AS "053_TWITTER",
-----------------------------------------------------------------------------------------------
CASE
    WHEN 	REPLACE(REPLACE(F.RA_CIC, '.',''), '-','') ='06467956516' THEN '16308862151' -- trata caso da JULIANA DE CARVALHO que tem o mesmo pis do 2130/LUIZ EDUARDO DE OLIVEIRA SILVA
    WHEN TRIM(F.RA_PIS) IS NULL OR TRIM(F.RA_PIS) = '0' THEN ''
    ELSE TRIM(F.RA_PIS)
END AS "054_CODIGO_DO_PIS_PASEP",
-----------------------------------------------------------------------------------------------
'' AS "055_DATA_DO_CADASTRO_DO_PIS_PASEP",
-----------------------------------------------------------------------------------------------
'' AS "056_BANCO_DO_PIS_PASEP",
-----------------------------------------------------------------------------------------------
'' AS "057_AGENCIA_DO_PIS_PASEP",
-----------------------------------------------------------------------------------------------
CASE
    WHEN 
            	REPLACE(REPLACE(F.RA_CIC, '.',''), '-','')  = '00964428164'   THEN  SUBSTR(REPLACE(REPLACE(F.RA_CIC, '.',''), '-','') ,5,11)
    WHEN 
            TRIM(F.RA_NUMCP) IS NULL OR TRIM(F.RA_NUMCP) IN ('11111','1111111','0000000','0000')    THEN  SUBSTR(REPLACE(REPLACE(F.RA_CIC, '.',''), '-','') ,5,11)
      WHEN 
            TRIM(F.RA_NUMCP) IS NULL OR TRIM(F.RA_NUMCP)  = ''   THEN  SUBSTR(REPLACE(REPLACE(F.RA_CIC, '.',''), '-','') ,5,11)
        ELSE 
            TRIM(REPLACE(F.RA_NUMCP, ' ',''))
END AS "058_NUMERO_DA_CARTEIRA_DE_TRABALHO",
--------------------------------------------------------------------------------------------------------
CASE
     WHEN 
            	REPLACE(REPLACE(F.RA_CIC, '.',''), '-','')  = '00964428164'   THEN  SUBSTR(REPLACE(REPLACE(F.RA_CIC, '.',''), '-','') ,1,4)
    WHEN 
            TRIM(F.RA_NUMCP) IS NULL OR TRIM(F.RA_NUMCP) IN ('11111','1111111','0000000','0000') THEN  SUBSTR(REPLACE(REPLACE(F.RA_CIC, '.',''), '-','') ,1,4)
    WHEN
            REPLACE(TRIM(F.RA_SERCP),'-','') = '' THEN  SUBSTR(REPLACE(REPLACE(F.RA_CIC, '.',''), '-','') ,1,4)
    ELSE 
    REPLACE(TRIM(F.RA_SERCP),'-','')
END AS "059_SERIE_DA_CARTEIRA_DE_TRABALHO",
-----------------------------------------------------------------------------------------------
CASE
    WHEN TRIM(F.RA_NUMCP) IS NULL OR TRIM(F.RA_NUMCP) IN ('11111','1111111','0000000','0000')
    THEN  CASE WHEN TRIM(F.RA_DTCPEXP) IS NULL THEN SUBSTR(F.RA_ADMISSA,7,2)|| SUBSTR(F.RA_ADMISSA,5,2)||SUBSTR(F.RA_ADMISSA,1,4)
            ELSE SUBSTR(F.RA_DTCPEXP,7,2)|| SUBSTR(F.RA_DTCPEXP,5,2)||SUBSTR(F.RA_DTCPEXP,1,4)
            END    
    ELSE    CASE WHEN TRIM(F.RA_DTCPEXP) IS NULL THEN SUBSTR(F.RA_ADMISSA,7,2)|| SUBSTR(F.RA_ADMISSA,5,2)||SUBSTR(F.RA_ADMISSA,1,4)
            ELSE SUBSTR(F.RA_DTCPEXP,7,2)|| SUBSTR(F.RA_DTCPEXP,5,2)||SUBSTR(F.RA_DTCPEXP,1,4)
            END    
END AS "060_DATA_DE_EMISSAO_DA_CARTEIRA_DE_TRABALHO",
-----------------------------------------------------------------------------------------------
CASE
    WHEN TRIM(F.RA_NUMCP) IS NULL OR TRIM(F.RA_NUMCP)  IN ('11111','1111111','0000000','0000')
    THEN '08'
    ELSE CASE 
            WHEN F.RA_UFCP = 'AC'  THEN '00'
            WHEN F.RA_UFCP = 'AL'  THEN '01'
            WHEN F.RA_UFCP = 'AM'  THEN '02'
            WHEN F.RA_UFCP = 'AP'  THEN '03'
            WHEN F.RA_UFCP = 'BA'  THEN '04'
            WHEN F.RA_UFCP = 'CE'  THEN '05'
            WHEN F.RA_UFCP = 'DF'  THEN '06'
            WHEN F.RA_UFCP = 'ES'  THEN '07'
            WHEN F.RA_UFCP = 'GO'  THEN '08'
            WHEN F.RA_UFCP = 'MA'  THEN '09'
            WHEN F.RA_UFCP = 'MG'  THEN '10'
            WHEN F.RA_UFCP = 'MS'  THEN '11'
            WHEN F.RA_UFCP = 'MT'  THEN '12'
            WHEN F.RA_UFCP = 'PA'  THEN '13'
            WHEN F.RA_UFCP = 'PB'  THEN '14'
            WHEN F.RA_UFCP = 'PE'  THEN '15'
            WHEN F.RA_UFCP = 'PI'  THEN '16'
            WHEN F.RA_UFCP = 'PR'  THEN '17'
            WHEN F.RA_UFCP = 'RJ'  THEN '18'
            WHEN F.RA_UFCP = 'RN'  THEN '19'
            WHEN F.RA_UFCP = 'RO'  THEN '20'
            WHEN F.RA_UFCP = 'RR'  THEN '21'
            WHEN F.RA_UFCP = 'RS'  THEN '22'
            WHEN F.RA_UFCP = 'SC'  THEN '23'
            WHEN F.RA_UFCP = 'SE'  THEN '24'
            WHEN F.RA_UFCP = 'SP'  THEN '25'
            WHEN F.RA_UFCP = 'TO'  THEN '26'
            ELSE '22'
        END  
END AS "061_UF_DA_CARTEIRA_DE_TRABALHO",
-----------------------------------------------------------------------------------------------
''  AS "062_DATA_DE_VALIDADE_DA_CARTEIRA_DE_TRABALHO",
-----------------------------------------------------------------------------------------------
--TRIM(F.RA_RG),
CASE 
	WHEN TRIM(F.RA_RG) IS NULL OR TRIM(F.RA_RG) ='RJ' THEN SUBSTR(REPLACE(REPLACE(F.RA_CIC, '.',''), '-','') ,1,7)
	ELSE REPLACE(REPLACE(REPLACE(LTRIM(RTRIM(F.RA_RG)),'.',''),'-',''),'','')
END AS "063_NUMERO_DA_IDENTIDADE",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_RG) IS NULL OR TRIM(F.RA_RG)='RJ' THEN 'SSP'
	ELSE
		CASE 
			WHEN TRIM(F.RA_RGEXP) IS NULL THEN	'DGPC'
			ELSE REPLACE(TRIM(F.RA_RGEXP),'/','')
		END
END AS"064_ORGAO_EMISSOR_DA_IDENTIDADE",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_RG) IS NULL OR TRIM(F.RA_RG)='RJ' THEN  SUBSTR(RA_ADMISSA,7,2)|| SUBSTR(RA_ADMISSA,5,2)||SUBSTR(RA_ADMISSA,1,4)
	ELSE 
		CASE 
			WHEN TRIM(F.RA_DTRGEXP)< TRIM(F.RA_NASC) 
            THEN SUBSTR(F.RA_NASC,7,2)|| SUBSTR(F.RA_NASC,5,2)||SUBSTR(F.RA_NASC,1,4)
             WHEN TRIM(F.RA_DTRGEXP) IS NOT NULL THEN SUBSTR(F.RA_DTRGEXP,7,2)|| SUBSTR(F.RA_DTRGEXP,5,2)||SUBSTR(F.RA_DTRGEXP,1,4)
            ELSE SUBSTR(RA_ADMISSA,7,2)|| SUBSTR(RA_ADMISSA,5,2)||SUBSTR(RA_ADMISSA,1,4)
		END 
END AS "065_DATA_DE_EMISSAO_DA_IDENTIDADE",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_RG) IS NULL OR TRIM(F.RA_RG)='RJ' THEN '08'
	ELSE
		CASE 
			WHEN TRIM(F.RA_RGUF) IS NULL THEN '22' --RS
			ELSE
                CASE 
                WHEN UPPER (F.RA_RGUF) = 'AC'  THEN '00'
                WHEN UPPER (F.RA_RGUF) = 'AL'	THEN '01'
                WHEN UPPER (F.RA_RGUF) = 'AM'  THEN '02'
                WHEN UPPER (F.RA_RGUF) = 'AP'  THEN '03'
                WHEN UPPER (F.RA_RGUF) = 'BA'  THEN '04'
                WHEN UPPER (F.RA_RGUF) = 'CE'  THEN '05'
                WHEN UPPER (F.RA_RGUF) = 'DF'  THEN '06'
                WHEN UPPER (F.RA_RGUF) = 'ES'  THEN '07'
                WHEN UPPER (F.RA_RGUF) = 'GO'	THEN '08'
                WHEN UPPER (F.RA_RGUF) = 'MA'	THEN '09'
                WHEN UPPER (F.RA_RGUF) = 'MG'	THEN '10'
                WHEN UPPER (F.RA_RGUF) = 'MS'	THEN '11'
                WHEN UPPER (F.RA_RGUF) = 'MT'	THEN '12'
                WHEN UPPER (F.RA_RGUF) = 'PA'	THEN '13'
                WHEN UPPER (F.RA_RGUF) = 'PB'	THEN '14'
                WHEN UPPER (F.RA_RGUF) = 'PE'	THEN '15'
                WHEN UPPER (F.RA_RGUF) = 'PI'	THEN '16'
                WHEN UPPER (F.RA_RGUF) = 'PR'	THEN '17'
                WHEN UPPER (F.RA_RGUF) = 'RJ'	THEN '18'
                WHEN UPPER (F.RA_RGUF) = 'RN'	THEN '19'
                WHEN UPPER (F.RA_RGUF) = 'RO'	THEN '20'
                WHEN UPPER (F.RA_RGUF) = 'RR'	THEN '21'
                WHEN UPPER (F.RA_RGUF) = 'RS'	THEN '22'
                WHEN UPPER (F.RA_RGUF) = 'SC'	THEN '23'
                WHEN UPPER (F.RA_RGUF) = 'SE'	THEN '24'
                WHEN UPPER (F.RA_RGUF) = 'SP'	THEN '25'
                WHEN UPPER (F.RA_RGUF) = 'TO'	THEN '26'
                ELSE '22'
            END
		END
END AS "066_UF_DA_CARTEIRA_DA_IDENTIDADE",
-----------------------------------------------------------------------------------------------
'' AS "067_TIPO_DE_VISTO_DA_IDENTIDADE",
-----------------------------------------------------------------------------------------------
--F.RA_DTRGEXP,
CASE 
    WHEN     TRIM(RA_NUMNATU) IS NOT NULL THEN ''  -- Se for naturalizado NO dever ser informada obrigatriamente 105 - BR
    ELSE 
        CASE 
            WHEN TRIM(F.RA_CPAISOR) IS NULL	THEN ''	-- Brasil
            WHEN RTRIM(F.RA_CPAISOR) = '01058'	THEN ''	-- Brasil
            WHEN RTRIM(F.RA_CPAISOR) <> '01058' 
            THEN
                CASE 
                WHEN TRIM(F.RA_DTRGEXP) IS NULL THEN SUBSTR(F.RA_ADMISSA,7,2)|| SUBSTR(F.RA_ADMISSA,5,2)||(SUBSTR(F.RA_ADMISSA,1,4)+2) -- DATA DE ADMISSO + 2 ANOS 
                ELSE SUBSTR(F.RA_DTRGEXP,7,2)|| SUBSTR(F.RA_DTRGEXP,5,2)||(SUBSTR(F.RA_DTRGEXP,1,4)+2) -- DATA DE EMISSAO + 2 ANOS 
                END
        END 
END AS "068_DATA_DE_VALIDADE_DO_VISTO_DA_IDENTIDADE",
-----------------------------------------------------------------------------------------------
'' AS "069_NUMERO_DO_RIC",
'' AS "070_SERIE_DO_RIC",
'' AS "071_DATA_DE_EMISSaO_DO_RIC",
'' AS "072_DATA_DE_VALIDADE_DO_RIC",
'' AS "073_ORGaO_EMISSOR_DO_RIC",
'' AS "074_ESTADO_DO_RIC",
'' AS "075_TIPO_DE_CERTIDAO",
'' AS "076_MATRICULA_DA_CERTIDAO",
'' AS "077_NUMERO_DA_CERTIDAO",
'' AS "078_LIVRO_DA_CERTIDAO",
'' AS "079_FOLHA_DA_CERTIDAO",
'' AS "080_CARTORIO_DA_CERTIDAO",
'' AS "081_ESTADO_DA_CERTIDAO",
'' AS "082_MUNICIPIO_DA_CERTIDAO",
'' AS "083_DATA_DE_EMISSAO_DA_CERTIDAO",
'' AS "084_NUMERO_DA_DNV_DA_CERTIDAO",
'' AS "085_NUMERO_DO_CNS",
'' AS "086_VIA_DO_CNS",
-----------------------------------------------------------------------------------------------
CASE	
	WHEN TRIM(F.RA_TITULOE) IS NULL THEN ''
	ELSE REPLACE(REPLACE(REPLACE(REPLACE(LTRIM(RTRIM(F.RA_TITULOE)),'-',''),'/',''),'',''),'.','')
END AS "087_NUMERO_DO_TITULO_DE_ELEITOR",
-----------------------------------------------------------------------------------------------
CASE 
    WHEN TRIM(F.RA_TITULOE) IS NOT NULL AND F.RA_ZONASEC IS NULL THEN SUBSTR(TRIM(F.RA_TITULOE),1,3)
	WHEN TRIM(F.RA_TITULOE) IS NULL THEN ''
    WHEN F.RA_ZONASEC = '        ' THEN SUBSTR(TRIM(F.RA_TITULOE),1,3)
    WHEN LENGTH(REPLACE(REPLACE(REPLACE(REPLACE(TRIM(F.RA_ZONASEC), '/', ''), '', ''), '', ''),'        ','')) = 1 THEN SUBSTR(TRIM(F.RA_TITULOE),1,3)
	ELSE 
		CASE 
            WHEN LENGTH(REPLACE(REPLACE(REPLACE(REPLACE(TRIM(F.RA_ZONASEC), '/', ''), '', ''), '', ''),'        ','')) = 2 THEN REPLACE(REPLACE(REPLACE(REPLACE(TRIM(F.RA_ZONASEC), '/', ''), '', ''), '', ''),'  ','')
            WHEN LENGTH(REPLACE(REPLACE(REPLACE(REPLACE(TRIM(F.RA_ZONASEC), '/', ''), '', ''), '', ''),'        ','')) = 3 THEN REPLACE(REPLACE(REPLACE(REPLACE(TRIM(F.RA_ZONASEC), '/', ''), '', ''), '', ''),'  ','')
			WHEN (LENGTH(REPLACE(REPLACE(REPLACE(REPLACE(TRIM(F.RA_ZONASEC), '/', ''), '', ''), '', ''),'        ','')) = 4 or
                    LENGTH(REPLACE(REPLACE(REPLACE(REPLACE(TRIM(F.RA_ZONASEC), '/', ''), '', ''), '', ''),'        ','')) = 5) AND TRIM(F.RA_SECAO) IS NULL
                    THEN REPLACE(SUBSTR(REPLACE(REPLACE(REPLACE(REPLACE(TRIM(F.RA_ZONASEC), '/', ''), '', ''), '', ''),'        ',''),1,2),'a','')
            else '099'
            END
END
AS "088_ZONA_DO_TITULO_DE_ELEITOR",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(RA_TITULOE) IS NULL THEN ''
	ELSE 
		CASE 
			WHEN TRIM(F.RA_SECAO) IS NULL  AND SUBSTR(REPLACE(REPLACE(REPLACE(TRIM(F.RA_ZONASEC), '/', ''), '', ''), '', ''),4,4)IS NULL   THEN '099'
			WHEN INSTR(TRIM(RA_ZONASEC),'')=6 THEN REPLACE(SUBSTR(RA_ZONASEC,INSTR(TRIM(RA_ZONASEC),'')+1,4),'a','')
            WHEN INSTR(TRIM(RA_ZONASEC),'')=5 THEN SUBSTR(RA_ZONASEC,INSTR(TRIM(RA_ZONASEC),'')+2,4)
            WHEN INSTR(TRIM(RA_ZONASEC),'')=4 THEN SUBSTR(RA_ZONASEC,INSTR(TRIM(RA_ZONASEC),'')+1,4)
            WHEN INSTR(TRIM(RA_ZONASEC),'/')=5 THEN SUBSTR(RA_ZONASEC,INSTR(TRIM(RA_ZONASEC),'/')+1,4)
            WHEN INSTR(TRIM(RA_ZONASEC),'/')=4 THEN SUBSTR(RA_ZONASEC,INSTR(TRIM(RA_ZONASEC),'/')+1,4)
            WHEN INSTR(TRIM(RA_ZONASEC),'/')=3 THEN REPLACE(SUBSTR(RA_ZONASEC,INSTR(TRIM(RA_ZONASEC),'/')+1,4),'A','')
            WHEN INSTR(TRIM(RA_ZONASEC),'/')=2 THEN SUBSTR(RA_ZONASEC,INSTR(TRIM(RA_ZONASEC),'/')+1,4)
            WHEN (LENGTH(REPLACE(REPLACE(REPLACE(REPLACE(LTRIM(RTRIM(F.RA_ZONASEC)), '/', ''), '', ''), '', ''),'  ','')) = 4 or
                    LENGTH(REPLACE(REPLACE(REPLACE(REPLACE(LTRIM(RTRIM(F.RA_ZONASEC)), '/', ''), '', ''), '', ''),'  ','')) = 5 ) AND TRIM(F.RA_SECAO) IS NULL
                    THEN SUBSTR(REPLACE(REPLACE(REPLACE(REPLACE(TRIM(F.RA_ZONASEC), '/', ''), '', ''), '', ''),'  ',''),3,4)
            WHEN (LENGTH(REPLACE(REPLACE(REPLACE(REPLACE(LTRIM(RTRIM(F.RA_ZONASEC)), '/', ''), '', ''), '', ''),'  ','')) = 6) AND TRIM(F.RA_SECAO) IS NULL
                    THEN SUBSTR(REPLACE(REPLACE(REPLACE(REPLACE(TRIM(F.RA_ZONASEC), '/', ''), '', ''), '', ''),'  ',''),4,3)
            WHEN LENGTH(TRIM(RA_ZONASEC))=7 THEN SUBSTR(TRIM(RA_ZONASEC),4,4)
            WHEN TRIM(F.RA_SECAO) IS NULL THEN '99'
            ELSE TRIM(F.RA_SECAO)
		END
END AS "089_SECAO_DO_TITULO_DE_ELEITOR",
-----------------------------------------------------------------------------------------------
'' AS "090_DATA_DE_EMISSAO_DO_TITULO_DE_ELEITOR",
-----------------------------------------------------------------------------------------------
'' AS "091_ESTADO_DO_TITULO_DE_ELEITOR",
-----------------------------------------------------------------------------------------------
CASE     
	WHEN trim(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(F.RA_HABILIT, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')) IS NULL OR TRIM(F.RA_HABILIT) = '0' THEN '' 
	ELSE TRIM(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(F.RA_HABILIT, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]'))
END AS "092_NUMERO_DA_CNH",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(F.RA_HABILIT, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]')) IS NULL OR TRIM(F.RA_HABILIT) = '0' THEN ''
	ELSE 
		CASE	
			WHEN TRIM(F.RA_CATCNH) IS NULL THEN 'B' -- Padro 
			ELSE 
				CASE RTRIM(F.RA_CATCNH)
					WHEN '1' THEN 'A'
					WHEN '2' THEN 'B'
					WHEN '3' THEN 'C'
					WHEN '4' THEN 'D'
					WHEN '5' THEN 'E'
					WHEN '6' THEN 'AB'
					WHEN '7' THEN 'AC'
					WHEN '8' THEN 'AD'
					WHEN '9' THEN 'AE'
				END
		END
END AS "093_CATEGORIA_DA_CNH",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(F.RA_HABILIT, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]'))  IS NULL OR TRIM(F.RA_HABILIT) = '0' THEN ''
	ELSE 
		CASE 
			WHEN TRIM(F.RA_DTINCON) IS NULL AND TRIM(F.RA_DTEMCNH) IS NOT NULL 
            THEN SUBSTR(F.RA_DTEMCNH,7,2)|| SUBSTR(F.RA_DTEMCNH,5,2)||(SUBSTR(F.RA_DTEMCNH,1,4))-- Caso no 1 mas tem admisso 
			WHEN TRIM(F.RA_DTINCON) IS NOT NULL AND TRIM(F.RA_DTEMCNH) IS NOT NULL AND RTRIM(F.RA_DTEMCNH) < RTRIM(F.RA_DTINCON) 
            THEN SUBSTR(F.RA_DTEMCNH,7,2)|| SUBSTR(F.RA_DTEMCNH,5,2)||(SUBSTR(F.RA_DTEMCNH,1,4)) -- Caso seja maior que a emisso 
			WHEN TRIM(F.RA_DTINCON) IS NULL
            THEN SUBSTR(F.RA_ADMISSA,7,2)|| SUBSTR(F.RA_ADMISSA,5,2)||(SUBSTR(F.RA_ADMISSA,1,4)) -- Colocando a data de ADM 
			ELSE SUBSTR(F.RA_DTINCON,7,2)|| SUBSTR(F.RA_DTINCON,5,2)||(SUBSTR(F.RA_DTINCON,1,4))
		END
END AS "094_DATA_DA_1_HABILITACAO",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(F.RA_HABILIT, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]'))  IS NULL OR TRIM(F.RA_HABILIT) = '0' THEN ''
	ELSE 
		CASE 
			WHEN TRIM(F.RA_DTEMCNH) IS NULL	THEN SUBSTR(F.RA_ADMISSA,7,2)|| SUBSTR(F.RA_ADMISSA,5,2)||(SUBSTR(F.RA_ADMISSA,1,4)) -- Colocando a data de ADM 
			ELSE SUBSTR(F.RA_DTEMCNH,7,2)|| SUBSTR(F.RA_DTEMCNH,5,2)||(SUBSTR(F.RA_DTEMCNH,1,4))
		END
END AS "095_DATA_DA_EMISSAO_DA_CNH",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(F.RA_HABILIT, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]'))  IS NULL OR TRIM(F.RA_HABILIT) = '0' THEN ''
	ELSE 
		CASE 
			WHEN TRIM(F.RA_CNHORG) IS NULL THEN 'DETRAN'
			ELSE RTRIM(F.RA_CNHORG)
		END
END AS "096_ORGAO_EMISSOR_DA_CNH",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(F.RA_HABILIT, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]'))  IS NULL OR TRIM(F.RA_HABILIT) = '0'  THEN ''
	ELSE
		CASE 
			WHEN TRIM(F.RA_UFCNH) IS NULL THEN '22'  --RS
			ELSE
                CASE 
                WHEN F.RA_UFCNH = 'AC'  THEN '00'
                WHEN F.RA_UFCNH = 'AL'	THEN '01'
                WHEN F.RA_UFCNH = 'AM'  THEN '02'
                WHEN F.RA_UFCNH = 'AP'  THEN '03'
                WHEN F.RA_UFCNH = 'BA'  THEN '04'
                WHEN F.RA_UFCNH = 'CE'  THEN '05'
                WHEN F.RA_UFCNH = 'DF'  THEN '06'
                WHEN F.RA_UFCNH = 'ES'  THEN '07'
                WHEN F.RA_UFCNH = 'GO'	THEN '08'
                WHEN F.RA_UFCNH = 'MA'	THEN '09'
                WHEN F.RA_UFCNH = 'MG'	THEN '10'
                WHEN F.RA_UFCNH = 'MS'	THEN '11'
                WHEN F.RA_UFCNH = 'MT'	THEN '12'
                WHEN F.RA_UFCNH = 'PA'	THEN '13'
                WHEN F.RA_UFCNH = 'PB'	THEN '14'
                WHEN F.RA_UFCNH = 'PE'	THEN '15'
                WHEN F.RA_UFCNH = 'PI'	THEN '16'
                WHEN F.RA_UFCNH = 'PR'	THEN '17'
                WHEN F.RA_UFCNH = 'RJ'	THEN '18'
                WHEN F.RA_UFCNH = 'RN'	THEN '19'
                WHEN F.RA_UFCNH = 'RO'	THEN '20'
                WHEN F.RA_UFCNH = 'RR'	THEN '21'
                WHEN F.RA_UFCNH = 'RS'	THEN '22'
                WHEN F.RA_UFCNH = 'SC'	THEN '23'
                WHEN F.RA_UFCNH = 'SE'	THEN '24'
                WHEN F.RA_UFCNH = 'SP'	THEN '25'
                WHEN F.RA_UFCNH = 'TO'	THEN '26'
            END
		END
END AS "097_ESTADO_DA_CNH",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(REGEXP_REPLACE(replace(replace(replace(replace(replace(replace(F.RA_HABILIT, '/', ''), '-', ''), '.', ''), '(', ''), ')', ''),' ',''),'[[:alpha:]]'))  IS NULL THEN ''
	ELSE
		CASE 
			WHEN TRIM(F.RA_DTVCCNH) IS NULL 
            THEN SUBSTR(F.RA_ADMISSA,7,2)|| SUBSTR(F.RA_ADMISSA,5,2)||(SUBSTR(F.RA_ADMISSA,1,4)+1) -- Data de Admisso + 1 Ano 
			ELSE SUBSTR(F.RA_DTVCCNH,7,2)|| SUBSTR(F.RA_DTVCCNH,5,2)||SUBSTR(F.RA_DTVCCNH,1,4)
    END
END AS "098_DATA_DE_VALIDADE_DA_CNH",
-----------------------------------------------------------------------------------------------
''
AS "099_DOCUMENTO_DO_CERTIFICADO_MILITAR",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_RESERVI) IS NULL OR TRIM(F.RA_RESERVI) IN ('123456','0','ILI',',') THEN ''
    WHEN TRIM(F.RA_RESERVI) = '280732077738' THEN ''
	ELSE Trim(replace(replace(replace(replace(replace(REGEXP_REPLACE(TO_CHAR(SUBSTR(F.RA_RESERVI,1,12)),'[[:alpha:]]'),'-', ''), '.', ''), '(', ''), ')', ''),' ',''))
END AS "100_NUMERO_DO_CERTIFICADO_MILITAR",

--REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
--			LTRIM(RTRIM(F.RA_RESERVI))
--		,'.',''),'/',''),'-',''),'T',''),'CDI',''),'H',''),'A',''),'F',''),'B',''),'',''),'G',''),'J',''),'S',''),'P',''),'j',''),'M',''),'R',''),'C',''),'N',''),'E',''),'D',''),'*',''),'V',''),'Z',''),'ILI',''),'X',''),'U',''),'I',''),'Q',''),'L','')

''AS "101_SERIE_DO_CERTIFICADO_MILITAR",
''AS "102_CSM_OAM_DO_CERTIFICADO_MILITAR",
''AS "103_RM_DN_COMAR_DO_CERTIFICADO_MILITAR",
CASE 
	WHEN TRIM(F.RA_RESERVI) IS NULL OR TRIM(F.RA_RESERVI) IN ('123456','0','ILI',',') THEN ''
	ELSE REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
    TRIM(F.RA_RESERVI),'0',''),'1',''),'2',''),'3',''),'4',''),'5',''),'6',''),'7',''),'8',''),'9',''),'/',''),'.',''),'-',''),'*',''),'"','')
END AS "104_CATEGORIA_DO_CERTIFICADO_MILITAR",
----------------------------------------------------------------------------------------------
'' "105_NUMERO_DO_PASSAPORTE",
'' "106_TIPO_DO_PASSAPORTE",
'' "107_PAIS_DO_PASSAPORTE",
'' "108_ORGAO_EMISSOR_DO_PASSAPORTE",
'' "109_ESTADO_DO_PASSAPORTE",
'' "110_DATA_DE_EMISSAO_DO_PASSAPORTE",
'' "111_DATA_DE_VALIDADE_DO_PASSAPORTE",
'' AS "112_INSCRICAO_DO_ORGAO_DE_CLASSE",
'' AS "113_ORGAO_EMISSOR_DO_ORGAO_DE_CLASSE",
'' AS "114_ESTADO_DO_ORGaO_DE_CLASSE",
'' AS "115_DATA_DE_EMISSaO_DO_ORGAO_DE_CLASSE",
'' AS "116_DATA_DE_VALIDADE_DO_ORGAO_DE_CLASSE",
'' AS "117_DATA_DE_VENCIMENTO_DO_ASO",
'' AS "118_POSICAO",
-----------------------------------------------------------------------------------------------
case when FPW.FN_RETORNA_ESTAB_LOT(119, F.RA_FILIAL, F.CODEMP)=4001 then 4000 else FPW.FN_RETORNA_ESTAB_LOT(119, F.RA_FILIAL, F.CODEMP) end
 AS "119_ESTABELECIMENTO",
-----------------------------------------------------------------------------------------------
'' AS "120_ORGAO_RESPONSAVEL",
-----------------------------------------------------------------------------------------------
'999999' AS "121_UNIDADE_ORGANIZACIONAL", 
-----------------------------------------------------------------------------------------------
'' AS "122_SOBREPOR_GESTOR",
'N' AS "123_COLABORADOR_GESTOR",
-----------------------------------------------------------------------------------------------
NVL(FN_RETORNA_CENTRO_CUSTO(F.RA_FILIAL, F.RA_MAT), F.RA_CC)
AS "124_CENTRO_DE_CUSTOS", 
-----------------------------------------------------------------------------------------------
'' AS "125_LOCAL_DE_TRABALHO",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN 
		TRIM(F.RA_CATFUNC) = 'E' THEN '81'
    WHEN  TO_CHAR(FN_RETORNA_CARGO_LG(TO_CHAR(FN_RETORNA_CARGO_ADM(F.RA_FILIAL, F.RA_MAT)))) IS NULL THEN '999999'--TRIM(F.RA_CODFUNC)
	ELSE
		TO_CHAR(FN_RETORNA_CARGO_LG(TO_CHAR(FN_RETORNA_CARGO_ADM(F.RA_FILIAL, F.RA_MAT)))) 
	END

AS "126_CARGO_EFETIVO",
-----------------------------------------------------------------------------------------------
'' AS "127_TABELA_SALARIAL_DO_CARGO_EFETIVO",
'' AS "128_FAIXA_DA_TABELA_SALARIAL_DO_CARGO_EFETIVO",
'' AS "129_NIVEL_DA_TABELA_SALARIAL_DO_CARGO_EFETIVO",
CASE
	WHEN (SELECT
			COUNT(0)
		FROM  
			TB_AUX_HISTORICOSALARIO mov 
		WHERE 
			mov.R3_PD = '000'		-- Salrio Base 
			AND TRIM(mov.R3_DATA)IS NOT NULL
			AND mov.R3_VALOR <> '0'
			AND mov.R3_TIPO   = '001'
            AND mov.R3_DATA	  = mov.RA_ADMISSA
			AND mov.CodEmp    = F.CODEMP
			AND mov.R3_FILIAL = TRIM(F.RA_FILIAL)
			AND mov.R3_MAT    = TRIM(F.RA_MAT)
            AND ROWNUM = 1) > 0 THEN (SELECT TO_CHAR(REPLACE(TO_NUMBER(TRIM(mov.R3_VALOR)),',','.'))
                                        FROM  TB_AUX_HISTORICOSALARIO mov 
                                        WHERE mov.R3_PD = '000'		-- Salrio Base 
                                          AND TRIM(mov.R3_DATA) IS NOT NULL
                                          AND mov.R3_VALOR <> '0'
                                          AND mov.R3_TIPO   = '001' -- Salrio Inicial 
                                          AND mov.R3_DATA	  = mov.RA_ADMISSA
                                          AND mov.CodEmp    = F.CODEMP
                                          AND mov.R3_FILIAL = RTRIM(F.RA_FILIAL)
                                          AND mov.R3_MAT    = RTRIM(F.RA_MAT)
                                          AND ROWNUM = 1) -- Primeiro tentamos pegar o salrio inicial que tem a mesma data de admisso 
	WHEN (SELECT 
			COUNT(0)
		FROM  
			TB_AUX_HISTORICOSALARIO mov 
		WHERE 
			mov.R3_PD = '000'		-- Salrio Base 
			AND TRIM(mov.R3_DATA) IS NOT NULL
			AND mov.R3_VALOR <> '0'
			AND mov.R3_TIPO   = '001' -- Salrio Inicial 
			AND mov.CodEmp    = F.CODEMP
			AND mov.R3_FILIAL = TRIM(F.RA_FILIAL)
			AND mov.R3_MAT    = TRIM(F.RA_MAT)
            AND ROWNUM = 1                     ) > 0 THEN (	SELECT 
                                                                TO_CHAR(REPLACE(TO_NUMBER(TRIM(mov.R3_VALOR)),',','.')) 
                                                            FROM  
                                                                TB_AUX_HISTORICOSALARIO mov
                                                            WHERE 
                                                                mov.R3_PD = '000' -- Salrio Base 
                                                                AND TRIM(mov.R3_DATA) IS NOT NULL
                                                                AND mov.R3_VALOR <> '0'
                                                                AND mov.R3_TIPO   = '001' -- Salrio Inicial 
                                                                AND mov.CodEmp    = F.CODEMP
                                                                AND mov.R3_FILIAL = TRIM(F.RA_FILIAL)
                                                                AND mov.R3_MAT    = TRIM(F.RA_MAT)
                                                                AND ROWNUM = 1
                                                                and	mov.R3_DATA = (SELECT MIN(M.R3_DATA)
                                                                                    FROM TB_AUX_HISTORICOSALARIO M
                                                                                    WHERE 
                                                                                    M.R3_PD = '000' -- Salrio Base 
                                                                                    AND TRIM(M.R3_DATA) IS NOT NULL
                                                                                    AND M.R3_VALOR <> '0'
                                                                                    AND M.R3_TIPO   = '001' -- Salrio Inicial 
                                                                                    AND M.CodEmp    = F.CODEMP
                                                                                    AND M.R3_FILIAL = TRIM(F.RA_FILIAL)
                                                                                    AND M.R3_MAT    = TRIM(F.RA_MAT))

                                                                                    )

                                                         -- Segundo tentamos pegar o salrio inicial que NO tem a mesma data de admisso 
    WHEN
    (SELECT 
			COUNT(0)
		FROM  
			TB_AUX_HISTORICOSALARIO mov 
		WHERE 
			TRIM(mov.R3_DATA)IS NOT NULL
			AND TRIM(mov.R3_VALOR) IS NOT NULL
			AND mov.CodEmp    = F.CODEMP
			AND mov.R3_FILIAL = TRIM(F.RA_FILIAL)
			AND mov.R3_MAT    = TRIM(F.RA_MAT)) > 0 THEN   NVL((SELECT 
																TO_CHAR(REPLACE(TO_NUMBER(TRIM(mov.R3_VALOR)),',','.'))
															FROM  
																TB_AUX_HISTORICOSALARIO mov
															WHERE 
																TRIM(mov.R3_DATA)IS NOT NULL
																AND mov.R3_VALOR <> '0'
																AND mov.CodEmp    = F.CODEMP
																AND mov.R3_FILIAL = RTRIM(F.RA_FILIAL)
																AND mov.R3_MAT    = RTRIM(F.RA_MAT) 
                                                                AND ROWNUM = 1
                                                                AND	mov.R3_DATA = (SELECT 
                                                                                    MIN(mov2.R3_DATA)
                                                                                    FROM  
                                                                                    TB_AUX_HISTORICOSALARIO mov2
                                                                                    WHERE 
                                                                                    TRIM(mov2.R3_DATA) IS NOT NULL
                                                                                    AND mov2.R3_VALOR <> '0'
                                                                                    AND mov2.CodEmp    = F.CODEMP
                                                                                    AND mov2.R3_FILIAL = TRIM(F.RA_FILIAL)
                                                                                    AND mov2.R3_MAT    = TRIM(F.RA_MAT) )),'1')
                                                    -- Terceiro tentamos pegar a primeira movimentao do colaborador 


        --ELSE 999999
        WHEN cast(F.RA_SALARIO as int) <> 0 THEN  TO_CHAR(replace(TO_NUMBER(TRIM(F.RA_SALARIO)),',','.'))
        ELSE '1'
END AS "130_SALARIO_DO_CARGO_EFETIVO",       
'' AS "131_FUNCAO_EFETIVA",
'' AS "132_TABELA_SALARIAL_DA_FUNcaO_EFETIVA",
'' AS "133_FAIXA_DA_TABELA_SALARIAL_DA_FUNcaO_EFETIVA",
'' AS "134_NiVEL_DA_TABELA_SALARIAL_DA_FUNcaO_EFETIVA",
'' AS "135_SALARIO_DA_FUNcaO_EFETIVA",
'' AS "136_CARGO_COMISSIONADO",
'' AS "137_TABELA_SALARIAL_DO_CARGO_COMISSIONADO",
'' AS "138_FAIXA_DA_TABELA_SALARIAL_DO_CARGO_COMISSIONADO",
'' AS "139_NiVEL_DA_TABELA_SALARIAL_DO_CARGO_COMISSIONADO",
'' AS "140_SALARIO_DO_CARGO_COMISSIONADO",
'' AS "141_FUNCAO_COMISSIONADA",
'' AS "142_TABELA_SALARIAL_DA_FUNcaO_COMISSIONADA",
'' AS "143_FAIXA_DA_TABELA_SALARIAL_DA_FUNCAO_COMISSIONADA",
'' AS "144_NiVEL_DA_TABELA_SALARIAL_DA_FUNCAO_COMISSIONADA",
'' AS "145_SALARIO_DA_FUNcaO_COMISSIONADA",
'' AS "146_DESCRICAO_DO_SALARIO_VARIAVEL",
-----------------------------------------------------------------------------------------------
'' AS "147_CBO",    
CASE 
    WHEN 
        F.RA_SINDICA IS NOT NULL 
   THEN 
        FN_RETORNA_COD_SIND(F.CODEMP, F.RA_SINDICA) 
    ELSE 
        FPW.FN_RETORNA_COLAB_SIND(F.RA_FILIAL, F.RA_MAT)
    END
AS "148_SINDICATO",
-----------------------------------------------------------------------------------------------
''  AS "149_SINDICATO_PROFISSIONAL_LIBERAL",
''  AS "150_NATUREZA_PROFISSIONAL",
''  AS "151_DESCONTAR_CONTRIBUICAO_SINDICAL",
CASE 
	WHEN TRIM(F.RA_CATFUNC) IN ('M','G','H') AND RTRIM(F.RA_CATEFD) IN ('','101','103','105','901','999') THEN '1'  -- MENSAL / ATIVIDADE NORMAL
	WHEN TRIM(F.RA_CATFUNC) IN ('M','G') AND TRIM(F.RA_CATEFD) IS NULL THEN '1' 
    WHEN TRIM(F.RA_CATFUNC) IN ('E','G')     AND RTRIM(F.RA_CATEFD) IN ('','101','901') THEN '2' -- ESTAGIARIO / ESTAGIARIO
    WHEN TRIM(F.RA_CATFUNC) IN ('E','G')     AND TRIM(F.RA_CATEFD) IS NULL THEN '2' --estagiario
    WHEN TRIM(F.RA_CATFUNC) IN ('G')     AND TRIM(F.RA_CATEFD) IN ('901') THEN '2' -- ESTAGIARIO / ESTAGIARIO
    WHEN ((TRIM(F.RA_CATFUNC) = 'P' AND RTRIM(F.RA_CATEFD) IN('101','722','721')) OR (RTRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) = '722'))	THEN '3' -- PROLABORE / PROLABORE
	WHEN TRIM(F.RA_CATFUNC) IN ('A')     AND TRIM(F.RA_CATEFD) IN ('', '101', '701', '741','723') THEN '3'	  -- AUTONOMO / AUTONOMO
    WHEN TRIM(F.RA_CATFUNC) IN ('A')     AND TRIM(F.RA_CATEFD) IS NULL THEN '71'
    WHEN TRIM(F.RA_CATFUNC) IN ('C')  AND RTRIM(F.RA_CATEFD) IN('101') THEN '1'
    WHEN TRIM(F.RA_CATFUNC) IN ('M') THEN '1'
    WHEN TRIM(F.RA_CATFUNC) IN ('E') THEN '2'
    WHEN TRIM(F.RA_CATFUNC) IN ('A') THEN '3'
END  AS "152_SITUACAO",
SUBSTR(RA_ADMISSA,7,2)|| SUBSTR(RA_ADMISSA,5,2)||SUBSTR(RA_ADMISSA,1,4) AS "153_DATA_INICIO_DA_SITUACAO",
CASE WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) IS NULL   THEN '901'  -- ESTAGIARIO / Estagirio
	 WHEN TRIM(F.RA_CATFUNC) IN ('E') AND TRIM(F.RA_CATEFD) = '101' THEN '901'  -- ESTAGIARIO HORISTA / Estagirio
	 WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) = '901' THEN '901'  -- ESTAGIARIO HORISTA / Estagirio
     WHEN TRIM(F.RA_CATFUNC) = 'G' AND TRIM(F.RA_CATEFD) = '901' THEN '901'
     WHEN TRIM(F.RA_CATFUNC) IN ('G','H') AND TRIM(F.RA_CATEFD) = '101' THEN '101'
       WHEN TRIM(F.RA_CATFUNC) = 'C' AND TRIM(F.RA_CATEFD) = '101' THEN '101'
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IS NULL   THEN '101'  -- MENSAL / Empregado - Geral, inclusive o empregado pblico da administrao direta ou indireta contratado pela CLT.
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IN ('101','105') THEN '101'  
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '999' THEN '101'  

	 WHEN TRIM(F.RA_CATFUNC)  IN ('H', 'M') AND TRIM(F.RA_CATEFD) = '103' THEN '103'  -- MENSAL / Empregado - Aprendiz
     WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '901' THEN '103'   

	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) = '101' THEN '722'  -- PROLABORE / Contribuinte individual - Diretor no empregado, sem FGTS
	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN ('722','721') THEN '722'    
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '722' THEN '722'    
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IN ('101','701','721','723') THEN '722'
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IS NULL THEN '722'
	 --ELSE 
END AS "154_CATEGORIA_ESOCIAL",
-----------------------------------------------------------------------------------------------
'1' AS "155_REGIME_TRABALHISTA",
-----------------------------------------------------------------------------------------------

'1' AS "156_TIPO_DE_PREVIDENCIA",
-----------------------------------------------------------------------------------------------
'' AS "157_MATRICULA_DO_TIPO_DE_PREVIDENCIA",
'' AS "158_DESCRIcaO_DO_TIPO_DE_PREVIDENCIA",
CASE 
	WHEN TRIM(F.RA_CATFUNC) IN('M') AND TRIM(F.RA_CATEFD) IN ('101','103','901','999')		THEN '1'  -- MENSAL / ATIVIDADE NORMAL -- Trabalho urbano
	WHEN TRIM(F.RA_CATFUNC) IN('M') AND TRIM(F.RA_CATEFD) IS NULL		THEN '1'
    WHEN TRIM(F.RA_CATFUNC) IN('E')     AND TRIM(F.RA_CATEFD) IN ('101','901')	THEN ''   -- ESTAGIARIO / ESTAGIARIO
	WHEN TRIM(F.RA_CATFUNC) IN('E','G')     AND (TRIM(F.RA_CATEFD) IS NULL OR TRIM(F.RA_CATEFD) ='901')	THEN '' 
    WHEN ((TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN('101','722','721')) OR (TRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) = '722'))	THEN ''   -- PROLABORE / PROLABORE
	WHEN TRIM(F.RA_CATFUNC) IN ('A')    AND TRIM(F.RA_CATEFD) IN ('101', '701', '741','721','722')		THEN ''	  -- AUTONOMO / AUTONOMO
    WHEN TRIM(F.RA_CATFUNC) IN ('A')    AND TRIM(F.RA_CATEFD) IS NULL THEN ''
    WHEN TRIM(F.RA_CATEFD)IN ('101','103','105')		THEN '1'
END AS "159_NATUREZA_DA_ATIVIDADE",       
-----------------------------------------------------------------------------------------------
'1' AS "160_INDICATIVO_DE_ADMISSAO",      -- 1-NORMAL
-----------------------------------------------------------------------------------------------
'' AS "161_DATA_INICIO_DO_BENEFICIO",
'' AS "162_HIPOTESE_LEGAL_PARA_CONTRATACAO_TEMPORARIO",
'' AS "163_CAMPO_EM_BRANCO",
'' AS "164_CAMPO_EM_BRANCO",
----------------------------------------------------------------------------------------------
CASE 
    /*
    WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) IS NULL   THEN ''  -- ESTAGIARIO / Estagirio
     WHEN TRIM(F.RA_CATFUNC) IN ('E') AND TRIM(F.RA_CATEFD) = '101' THEN ''  -- ESTAGIARIO HORISTA / Estagirio
	 WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) = '901' THEN ''  -- ESTAGIARIO HORISTA / Estagirio
     WHEN TRIM(F.RA_CATFUNC) = 'G' AND TRIM(F.RA_CATEFD) = '901' THEN ''
     WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) = '101' THEN ''  -- PROLABORE / Contribuinte individual - Diretor no empregado, sem FGTS
	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN ('722','721') THEN ''    
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '722' THEN ''    
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IN ('101','701','721','723') THEN ''
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IS NULL THEN ''
    */
         WHEN TRIM(RA_TIPOADM) = '9C'  THEN '2' --2  Transferncia de empresa do mesmo grupo econmico ou transferncia entre rgos do mesmo Ente Federativo
     ELSE '1'
END AS "165_TIPO_DE_ADMISSA O_ESOCIAL",
 '' AS "166_NUMERO_DO_PROCESSO_SELETIVO",
'' AS "167_DATA_INICIO_DA_PUBLICACAO",
'' AS "168_SITUACAO_DA_PUBLICACAO",
CASE WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) IS NULL   THEN 'S'  -- ESTAGIARIO / Estagirio
	 WHEN TRIM(F.RA_CATFUNC) IN ('E') AND TRIM(F.RA_CATEFD) = '101' THEN 'S'  -- ESTAGIARIO HORISTA / Estagirio
	 WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) = '901' THEN 'S'  -- ESTAGIARIO HORISTA / Estagirio
     WHEN TRIM(F.RA_CATFUNC) = 'G' AND TRIM(F.RA_CATEFD) = '901' THEN 'S'

	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IS NULL   THEN 'S'  -- MENSAL / Empregado - Geral, inclusive o empregado pblico da administrao direta ou indireta contratado pela CLT.
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IN ('101','105') THEN 'S'  
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '999' THEN 'S'  

	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '103' THEN 'S'  -- MENSAL / Empregado - Aprendiz
     WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '901' THEN 'S'   

	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) = '101' THEN 'N'  -- PROLABORE / Contribuinte individual - Diretor no empregado, sem FGTS
	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN ('722','721') THEN 'N'    
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '722' THEN 'N'    
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IN ('101','701','721','723') THEN 'N'
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IS NULL THEN 'N'
	 
     
     ELSE 'S'
END AS "169_COLABORADOR_OPTANTE_DO_FGTS",
CASE 
	WHEN TRIM(F.RA_OPCAO) IS NULL THEN ''
	ELSE
		CASE 
			WHEN TRIM(F.RA_CTDPFGT) IN ('00758-2','009777-7','158898','203319') THEN REPLACE(TRIM(F.RA_CTDPFGT),'-','')
			ELSE ''
		END	
END AS "170_CONTA_PARA_DEPOSITO_DO_FGTS",
CASE 
	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) = '101' THEN ''  -- PROLABORE / Contribuinte individual - Diretor no empregado, sem FGTS
	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN ('722','721') THEN ''    
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '722' THEN ''    
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IN ('101','701','721','723') THEN ''
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IS NULL THEN ''
	 ELSE 
        CASE WHEN TRIM(F.RA_OPCAO) < TRIM(F.RA_ADMISSA) THEN SUBSTR(F.RA_ADMISSA,7,2)|| SUBSTR(F.RA_ADMISSA,5,2)||SUBSTR(F.RA_ADMISSA,1,4)
        ELSE SUBSTR(F.RA_OPCAO,7,2)|| SUBSTR(F.RA_OPCAO,5,2)||SUBSTR(F.RA_OPCAO,1,4)
     END
END AS "171_DATA_DA_OPCAO_DO_FGTS",
'1' AS "172_ESCALA", 
CASE 
	WHEN TRIM(F.RA_CATFUNC) IN ('E')	  AND TRIM(F.RA_CATEFD) IN ('101','901')	THEN 'S' -- ESTAGIARIO / ESTAGIARIO
    WHEN TRIM(F.RA_CATFUNC) IN ('G')	  AND TRIM(F.RA_CATEFD) IN ('901')	THEN 'S' -- ESTAGIARIO / ESTAGIARIO
    WHEN TRIM(F.RA_CATFUNC) IN ('E')	  AND TRIM(F.RA_CATEFD) IS NULL	THEN 'S' 
    WHEN TRIM(F.RA_CATFUNC) IN ('M') AND TRIM(F.RA_CATEFD) IN ('101','103','901','999')	THEN 'S' -- MENSAL / ATIVIDADE NORMAL
    WHEN TRIM(F.RA_CATFUNC) IN ('M') AND TRIM(F.RA_CATEFD) IS NULL	THEN 'S'
    WHEN ((TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN('101','722','721','723')) OR (RTRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) = '722'))	THEN 'N' -- PROLABORE / PROLABORE
	WHEN TRIM(F.RA_CATFUNC) IN ('A')     AND TRIM(F.RA_CATEFD) IN ( '101', '701', '741','721','722','723') THEN 'N' -- AUTONOMO / AUTONOMO
    WHEN TRIM(F.RA_CATFUNC) IN ('A')     AND TRIM(F.RA_CATEFD) IS NULL THEN 'N'
    ELSE 'N'
END AS "173_MARCA_PONTO",
CASE 
	WHEN TRIM(F.RA_CATFUNC) IN ('E')	  AND TRIM(F.RA_CATEFD) IN ('101','901')	THEN '2' -- ESTAGIARIO / ESTAGIARIO
    WHEN TRIM(F.RA_CATFUNC) IN ('G')	  AND TRIM(F.RA_CATEFD) IN ('901')	THEN '2' -- ESTAGIARIO / ESTAGIARIO
    WHEN TRIM(F.RA_CATFUNC) IN ('E')	  AND TRIM(F.RA_CATEFD) IS NULL	THEN '2' 
    WHEN TRIM(F.RA_CATFUNC) IN ('M') AND TRIM(F.RA_CATEFD) IN ('101','103','901','999')	THEN '2' -- MENSAL / ATIVIDADE NORMAL
    WHEN TRIM(F.RA_CATFUNC) IN ('M') AND TRIM(F.RA_CATEFD) IS NULL	THEN '2'
    WHEN ((TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN('101','722','721','723')) OR (RTRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) = '722'))	THEN '' -- PROLABORE / PROLABORE
	WHEN TRIM(F.RA_CATFUNC) IN ('A')     AND TRIM(F.RA_CATEFD) IN ( '101', '701', '741','721','722','723') THEN '' -- AUTONOMO / AUTONOMO
    WHEN TRIM(F.RA_CATFUNC) IN ('A')     AND TRIM(F.RA_CATEFD) IS NULL THEN ''
    ELSE ''
END AS "174_FORMA_DE_REGISTRO_DO_PONTO",
''  AS "175_COLABORADOR_SOB_REGIME_DE_TEMPO_PARCIAL",
CASE 
    
	WHEN TRIM(F.RA_TPCTSAL) IN ('1', '2', '3') AND  F.RA_CATFUNC <> 'E' and replace(F.RA_CTDEPSA,' ','') is not null THEN '1'
	WHEN (F.RA_TPCTSAL) = '1' AND  F.RA_CATFUNC = 'E' and replace(F.RA_CTDEPSA,' ','') is not null THEN '13'
     when replace(F.RA_CTDEPSA,' ','') is not null then '1'
     ELSE ''
END	AS "176_FORMA_DE_PAGAMENTO",    -- Crdito em Conta Corrente
-----------------------------------------------------------------------------------------------
/*
CASE 
	WHEN (F.RA_TPCTSAL) = '1' AND  F.RA_CATFUNC = 'E' THEN ''
	ELSE
		'1' --SUBSTR(F.RA_CTDEPSA, 1, 3) 
	END	
*/
case WHEN replace(F.RA_CTDEPSA,' ','') is null then '' 
        WHEN (F.RA_TPCTSAL) = '1' AND  F.RA_CATFUNC = 'E' and replace(F.RA_CTDEPSA,' ','') is not null THEN ''
else  '1' 
end

AS "177_BANCO",
/*
CASE 
	WHEN 
		(F.RA_TPCTSAL) = '1' AND  F.RA_CATFUNC = 'E' THEN ''
	ELSE
		'0001' --SUBSTR(F.RA_CTDEPSA, 4, 7) 
	END*/
case WHEN replace(F.RA_CTDEPSA,' ','') is null then '' 
         WHEN (F.RA_TPCTSAL) = '1' AND  F.RA_CATFUNC = 'E' and replace(F.RA_CTDEPSA,' ','') is not null THEN ''
         else '0001'
end
 AS "178_AGENCIA",
CASE 
	WHEN 
		(F.RA_TPCTSAL) = '1' AND  F.RA_CATFUNC = 'E' THEN ''
	ELSE
		SUBSTR(trim(F.RA_CTDEPSA), 4, 7) 
	END
 AS  "179_CONTA",
 CASE 
	WHEN 
		(F.RA_TPCTSAL) = '1' AND  F.RA_CATFUNC = 'E' THEN ''
	ELSE
		SUBSTR (trim(F.RA_CTDEPSA),LENGTH(trim(F.RA_CTDEPSA))) 
	END
 AS "180_DV_CONTA",

CASE 
	WHEN (RTRIM(F.RA_CATFUNC) IN('E') AND (RTRIM(F.RA_CATEFD)IS NULL OR RTRIM(F.RA_CATEFD) IN('101','901')))OR (RTRIM(F.RA_CATFUNC) IN('G') AND RTRIM(F.RA_CATEFD) IN('901')) THEN 
																				CASE WHEN 
																					(SELECT	
																						CASE 
																							WHEN (TRIM(inst.RFS_NATUR) IS NOT NULL AND inst.RFS_NATUR IS NOT NULL) THEN RTRIM(inst.RFS_NATUR)
																						END
																					FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						CAST(inst.CodEmp AS INT) = CAST(F.CODEMP AS INT)
																						AND CAST(inst.RFS_FILIAL AS INT) = CAST(F.RA_FILIAL AS INT)
																						AND TRIM(inst.RFS_MAT) = TRIM(F.RA_MAT)
                                                                                        AND ROWNUM = 1
																				) IS NULL THEN  '2'
                                                                                ELSE 
                                                                                (SELECT	
																						CASE 
																							WHEN (TRIM(inst.RFS_NATUR) IS NOT NULL AND inst.RFS_NATUR IS NOT NULL) THEN RTRIM(inst.RFS_NATUR)
																						END
																					FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						CAST(inst.CodEmp AS INT) = CAST(F.CODEMP AS INT)
																						AND CAST(inst.RFS_FILIAL AS INT) = CAST(F.RA_FILIAL AS INT)
																						AND TRIM(inst.RFS_MAT) = TRIM(F.RA_MAT)
                                                                                        AND ROWNUM = 1
																				)
                                                                                END
	ELSE ''
END AS "181_NATUREZA_DO_ESTAGIO",
CASE 
	WHEN (TRIM(F.RA_CATFUNC) IN('E') AND (TRIM(F.RA_CATEFD) IS NULL OR TRIM(F.RA_CATEFD) IN ('101','901'))OR (TRIM(F.RA_CATFUNC) IN('G') AND TRIM(F.RA_CATEFD) ='901')) THEN 
		CASE WHEN 
			(SELECT
				CASE TRIM(inst.RFS_ATUA)
                WHEN 'ADMINISTRACAO' 	THEN '1'
                WHEN 'ARMAZEM'	THEN '2'
                WHEN 'ARMAZEM ADM'	THEN '3'
                WHEN 'ARMAZEM ADMINISTRATIVO'	THEN '3'
                WHEN 'COMERCIAL'	THEN '4'
                WHEN 'CONTABILIDADE'	THEN '5'
                WHEN 'CONTROLADORIA'	THEN '6'
                WHEN 'ENGENHARIA'	THEN '7'
                WHEN 'ESTUDOS E RESULTADOS'	THEN '8'
                WHEN 'FATURAMENTO'	THEN '9'
                WHEN 'FIEIS'	THEN '10'
                WHEN 'FINANCEIRA'	THEN '11' 
                WHEN 'FINANCEIRO'	THEN '11'
                WHEN 'FROTA'	THEN '12'
                WHEN 'GESTAO'	THEN '13'
                WHEN 'GESTAO E CONTROLE DA PRODUCAO'	THEN '14'
                WHEN 'JURIDICA'	THEN '15'
                WHEN 'JURIDICO'	THEN '15'
                WHEN 'MANUTENCAO'	THEN '16'
                WHEN 'MANUTENCAO PCM'	THEN '17'
                WHEN 'MARITIMA'	THEN '18'
                WHEN 'MEIO AMBIENTE'	THEN '19'
                WHEN 'OPERACAO PORTUARIA'	THEN '20'
                WHEN 'OPERACOES'	THEN '21'
                WHEN 'PLANEJAMENTO'	THEN '22'
                WHEN 'PLANEJAMENTO E DESENVOLVIMENTO'	THEN '23'
                WHEN 'PROGRAMACAO DE SERVICOS'	THEN '24'
                WHEN 'SEGURANCA DO TRABALHO'	THEN '25'
                WHEN 'SSMA-SAUDESEGURANCA E MEIOAMBIENTE'	THEN '26'
                WHEN 'SUPRIMENTOS'	THEN '27'
                WHEN 'TECNOLOGIA DA INFORMACAO'	THEN '28'
				END
			FROM
				TB_AUX_INFOESTAGIARIOS inst
			WHERE	
				CAST(inst.CodEmp AS INT) = CAST(F.CODEMP AS INT)
				AND TRIM(inst.RFS_FILIAL) = TRIM(F.RA_FILIAL)
				AND TRIM(inst.RFS_MAT) = TRIM(F.RA_MAT)
                AND ROWNUM = 1)IS NULL 
            THEN '1'
        ELSE    (SELECT
				CASE TRIM(inst.RFS_ATUA)
                WHEN 'ADMINISTRACAO' 	THEN '1'
                WHEN 'ARMAZEM'	THEN '2'
                WHEN 'ARMAZEM ADM'	THEN '3'
                WHEN 'ARMAZEM ADMINISTRATIVO'	THEN '3'
                WHEN 'COMERCIAL'	THEN '4'
                WHEN 'CONTABILIDADE'	THEN '5'
                WHEN 'CONTROLADORIA'	THEN '6'
                WHEN 'ENGENHARIA'	THEN '7'
                WHEN 'ESTUDOS E RESULTADOS'	THEN '8'
                WHEN 'FATURAMENTO'	THEN '9'
                WHEN 'FIEIS'	THEN '10'
                WHEN 'FINANCEIRA'	THEN '11' 
                WHEN 'FINANCEIRO'	THEN '11'
                WHEN 'FROTA'	THEN '12'
                WHEN 'GESTAO'	THEN '13'
                WHEN 'GESTAO E CONTROLE DA PRODUCAO'	THEN '14'
                WHEN 'JURIDICA'	THEN '15'
                WHEN 'JURIDICO'	THEN '15'
                WHEN 'MANUTENCAO'	THEN '16'
                WHEN 'MANUTENCAO PCM'	THEN '17'
                WHEN 'MARITIMA'	THEN '18'
                WHEN 'MEIO AMBIENTE'	THEN '19'
                WHEN 'OPERACAO PORTUARIA'	THEN '20'
                WHEN 'OPERACOES'	THEN '21'
                WHEN 'PLANEJAMENTO'	THEN '22'
                WHEN 'PLANEJAMENTO E DESENVOLVIMENTO'	THEN '23'
                WHEN 'PROGRAMACAO DE SERVICOS'	THEN '24'
                WHEN 'SEGURANCA DO TRABALHO'	THEN '25'
                WHEN 'SSMA-SAUDESEGURANCA E MEIOAMBIENTE'	THEN '26'
                WHEN 'SUPRIMENTOS'	THEN '27'
                WHEN 'TECNOLOGIA DA INFORMACAO'	THEN '28'
                END
			FROM
				TB_AUX_INFOESTAGIARIOS inst
			WHERE	
				CAST(inst.CodEmp AS INT) = CAST(F.CODEMP AS INT)
				AND TRIM(inst.RFS_FILIAL) = TRIM(F.RA_FILIAL)
				AND TRIM(inst.RFS_MAT) = TRIM(F.RA_MAT)
                AND ROWNUM = 1)
            END
	ELSE ''
END AS "182_AREA_DE_ATUACAO_DO_ESTAGIO",
CASE 
	WHEN (TRIM(F.RA_CATFUNC) IN('E') AND (TRIM(F.RA_CATEFD)IS NULL OR TRIM(F.RA_CATEFD) IN('101','901')) OR (TRIM(F.RA_CATFUNC) IN('G') AND (TRIM(F.RA_CATEFD)='901'))) THEN 
																				CASE WHEN  
																					(SELECT
																						TRIM(inst.RFS_APOLIC) 
                                                                                    FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						CAST(inst.CodEmp AS INT) = CAST(F.CODEMP AS INT)
																						AND TRIM(inst.RFS_FILIAL) = TRIM(F.RA_FILIAL)
																						AND TRIM(inst.RFS_MAT) = TRIM(F.RA_MAT)
                                                                                        AND ROWNUM = 1
																				)IS NULL THEN ''
                                                                                ELSE 
                                                                                (SELECT
																						TRIM(inst.RFS_APOLIC) 
                                                                                    FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						CAST(inst.CodEmp AS INT) = CAST(F.CODEMP AS INT)
																						AND TRIM(inst.RFS_FILIAL) = TRIM(F.RA_FILIAL)
																						AND TRIM(inst.RFS_MAT) = TRIM(F.RA_MAT)
                                                                                        AND ROWNUM = 1
																				)END
	ELSE ''
END AS "183_NUMERO_DA_APOLICE_DO_SEGURO_DO_ESTAGIO",
CASE 
	WHEN (TRIM(F.RA_CATFUNC) IN('E') AND (TRIM(F.RA_CATEFD)IS NULL OR TRIM(F.RA_CATEFD) IN('101','901')) OR (TRIM(F.RA_CATFUNC) IN('G') AND (TRIM(F.RA_CATEFD)='901'))) THEN
																				CASE WHEN
																					(SELECT
																						CASE 
																							WHEN TRIM(inst.RFR_AGENTE) = 'CIAG' THEN '1'
                                                                                            WHEN TRIM(inst.RFR_AGENTE) = 'CIEE' THEN '3'
                                                                                            ELSE ''
																						END
																					FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						inst.CodEmp = F.CODEMP
																						AND inst.RFS_FILIAL = F.RA_FILIAL
																						AND inst.RFS_MAT = F.RA_MAT
                                                                                        AND ROWNUM = 1
																				)IS NULL THEN 
                                                                                ''
                                                                                ELSE 
                                                                                (SELECT
																						CASE 
																							WHEN TRIM(inst.RFR_AGENTE) = 'CIAG' THEN '1'
                                                                                            WHEN TRIM(inst.RFR_AGENTE) = 'CIEE' THEN '3'
                                                                                            ELSE ''
																						END
																					FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						inst.CodEmp = F.CODEMP
																						AND inst.RFS_FILIAL = F.RA_FILIAL
																						AND inst.RFS_MAT = F.RA_MAT
                                                                                        AND ROWNUM = 1
																				)END
	ELSE ''
END AS "184_AGENTE_DE_INTEGRACAO_DO_ESTAGIO",
CASE 
    WHEN 
        RA_CATFUNC = 'E' 
   THEN 
        NVL(FPW.FN_RETORNA_IE_COLAB(F.RA_MAT),1) 
    ELSE 
        ''
    END
 AS "185_INSTITUICAO_DE_ENSINO",
CASE 
	WHEN (TRIM(F.RA_CATFUNC) IN('E') AND (TRIM(F.RA_CATEFD)IS NULL OR TRIM(F.RA_CATEFD) IN('101','901')) OR (TRIM(F.RA_CATFUNC) IN('G') AND (TRIM(F.RA_CATEFD)='901'))) THEN 
																				CASE WHEN  
																					(SELECT	
																						CASE 
																							WHEN TRIM(inst.RD0_NOME)IS NOT NULL  AND TRIM(inst.RD0_CIC) IS NOT NULL THEN TRIM(inst.RD0_CIC)
																						END
																					FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						inst.CodEmp = F.CODEMP
																						AND inst.RFS_FILIAL = F.RA_FILIAL
																						AND inst.RFS_MAT = F.RA_MAT
                                                                                        AND ROWNUM = 1
																				)IS NULL THEN ''
                                                                                ELSE 
                                                                                (SELECT	
																						CASE 
																							WHEN TRIM(inst.RD0_NOME)IS NOT NULL  AND TRIM(inst.RD0_CIC) IS NOT NULL THEN TRIM(inst.RD0_CIC)
																						END
																					FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						inst.CodEmp = F.CODEMP
																						AND inst.RFS_FILIAL = F.RA_FILIAL
																						AND inst.RFS_MAT = F.RA_MAT
                                                                                        AND ROWNUM = 1
																				)END
	ELSE ''
END AS "186_CPF_DO_SUPERVISOR_DO_ESTAGIO",
CASE 
	WHEN (TRIM(F.RA_CATFUNC) IN('E') AND (TRIM(F.RA_CATEFD)IS NULL OR TRIM(F.RA_CATEFD) IN('101','901')) OR (TRIM(F.RA_CATFUNC) IN('G') AND (TRIM(F.RA_CATEFD)='901'))) THEN
																				CASE WHEN  
																					(SELECT
																						CASE 
																							WHEN TRIM(inst.RD0_NOME)IS NOT NULL AND TRIM(inst.RD0_CIC)IS NOT NULL THEN TRIM(inst.RD0_NOME)
																						END
																					FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						inst.CodEmp = F.CODEMP
																						AND inst.RFS_FILIAL = F.RA_FILIAL
																						AND inst.RFS_MAT = F.RA_MAT
                                                                                        AND ROWNUM = 1
																				)IS NULL THEN ''
                                                                                ELSE
                                                                                (SELECT
																						CASE 
																							WHEN TRIM(inst.RD0_NOME)IS NOT NULL AND TRIM(inst.RD0_CIC)IS NOT NULL THEN TRIM(inst.RD0_NOME)
																						END
																					FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						inst.CodEmp = F.CODEMP
																						AND inst.RFS_FILIAL = F.RA_FILIAL
																						AND inst.RFS_MAT = F.RA_MAT
                                                                                        AND ROWNUM = 1
																				)END
	ELSE ''
END AS "187_NOME_DO_SUPERVISOR_DO_ESTAGIO",
CASE 
            WHEN
                    TRIM(RA_TIPOADM) = '9C' THEN TO_CHAR(EMP_ORIGEM_LG) -->> EMPRESA J DEPARADA
            ELSE 
                    ''
END            
AS "188_EMPRESA_ORIGEM",

CASE 
            WHEN
                    TRIM(RA_TIPOADM) = '9C' THEN TO_CHAR(INSCRICAO_LG)
            ELSE
                     ''
END                    
AS "189_CNPJ_DA_EMPRESA_ORIGEM",

NVL(MAT_ORIGEM,'') AS "190_MATRICULA_NA_EMPRESA_ORIGEM",
SUBSTR(F.RA_ADMISSA,7,2) || SUBSTR(F.RA_ADMISSA,5,2) || SUBSTR(F.RA_ADMISSA,1,4)
AS "191_DATA_DE_ADMISSAO_NA_EMPRESA_ORIGEM",
SUBSTR(RE_DATA,7,2) || SUBSTR(RE_DATA,5,2) || SUBSTR(RE_DATA,1,4) 
AS "192_DATA_DE_SUCESSAO",
'' AS "193_OBSERVACAO_DA_SUCESSaO",
'' AS "194_DATA_DE_CESSAO",
'' AS "195_ONUS_DA_CESSAO",
'' AS "196_CATEGORIA_DO_DIRIGENTE_SINDICAL",
CASE WHEN TRIM(F.RA_TIPOADM) = '9A'
THEN 'S'
ELSE 'N' 
END AS "197_PRIMEIRO_EMPREGO",
-----------------------------------------------------------------------------------------------
CASE 
	WHEN TRIM(F.RA_OCORREN) IS NULL THEN '00' -- 00-SEM EXPOSIO
	WHEN RTRIM(F.RA_OCORREN) = '4' THEN '04'
    ELSE TRIM(F.RA_OCORREN) 
END AS "198_AGENTE_NOCIVO",
--CASE	
--	WHEN TRIM(F.RA_CATFUNC) IN('E') AND (TRIM(F.RA_CATEFD) IS NULL OR TRIM(F.RA_CATEFD) IN('101','901')) THEN 'S' -- ESTAGIARIO / ESTAGIARIO
--	WHEN TRIM(F.RA_CATFUNC) IN('C','M','G') AND (TRIM(F.RA_CATEFD)IS NULL OR TRIM(F.RA_CATEFD)  IN('101','103','901','999')) THEN 'S' -- MENSAL / ATIVIDADE NORMAL
--	WHEN ((TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN('101','722','721','723')) OR (RTRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IN ('722','721','723')))	THEN 'N' -- PROLABORE / PROLABORE
--	WHEN TRIM(F.RA_CATFUNC) IN('A')     AND (TRIM(F.RA_CATEFD)IS NULL OR TRIM(F.RA_CATEFD) IN( '101', '701', '741','721','722','723'))	THEN 'N' -- AUTONOMO / AUTO  NOMO
--END AS "199_CONTRATO_DE_EXPERIENCIA_TEMPORARIO_PRAZO_DETERMINADO",
--CASE 
--
--	WHEN    TRIM(F.RA_CATFUNC) IN('C','E') AND (TRIM(F.RA_CATEFD) IN('101','901') OR TRIM(F.RA_CATEFD) IS NULL)
--		 OR (TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IN('103','901')) 
--		 OR (TRIM(F.RA_CATFUNC) = 'G' AND TRIM(F.RA_CATEFD) IN('901')) THEN	-- ESTAGIARIO ou MENSAL (Empregado Menor Aprendiz) 
--																			CASE 
--																				WHEN 
--                                                                                    (SELECT TO_CHAR(TO_DATE(F2.RA_DEMISSA, 'YYYYMMDD') -TO_DATE(F2.RA_ADMISSA, 'YYYYMMDD') )
--                                                                                    FROM TB_AUX_FUNCIONARIOS F2
--                                                                                    WHERE TRIM(F2.RA_ADMISSA) IS NOT NULL
--                                                                                    AND TRIM(F2.RA_DEMISSA) IS NOT NULL
--                                                                                    AND F.CODEMP = F2.CODEMP
--                                                                                    AND F.RA_MAT = F2.RA_MAT
--                                                                                    AND F.RA_FILIAL = F2.RA_FILIAL) > 730
--                                                                                    THEN '730'
--                                                                                    ELSE
--                                                                                    (SELECT TO_CHAR(TO_DATE(F2.RA_DEMISSA, 'YYYYMMDD') -TO_DATE(F2.RA_ADMISSA, 'YYYYMMDD') )
--                                                                                    FROM TB_AUX_FUNCIONARIOS F2
--                                                                                    WHERE TRIM(F2.RA_ADMISSA) IS NOT NULL
--                                                                                    AND TRIM(F2.RA_DEMISSA) IS NOT NULL
--                                                                                    AND F.CODEMP = F2.CODEMP
--                                                                                    AND F.RA_MAT = F2.RA_MAT
--                                                                                    AND F.RA_FILIAL = F2.RA_FILIAL)
--																			END
--
--	WHEN TRIM(F.RA_CATFUNC) IN('C','M','G') AND TRIM(F.RA_CATEFD) IN('101', '999')	THEN '45'	-- MENSAL (Empregado Geral) - 45 Dias 
--    WHEN TRIM(F.RA_CATFUNC) = 'C' THEN '45'
--	WHEN TRIM(F.RA_CATFUNC) IN('M','G') AND TRIM(F.RA_CATEFD) IS NULL	THEN '45'
--    WHEN ((TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN('101','722')) OR (RTRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) = '722')) THEN ''		-- PROLABORE / PROLABORE
--	WHEN TRIM(F.RA_CATFUNC) IN('A')     AND TRIM(F.RA_CATEFD) IN( '101', '701', '741')	THEN ''
--    WHEN TRIM(F.RA_CATFUNC) IN('A')     AND TRIM(F.RA_CATEFD) IS NULL	THEN ''	-- AUTONOMO / AUTONOMO
--END AS "200_QUANTIDADE_DE_DIAS_DO_CONTRATO",
--CASE 
--	WHEN RTRIM(F.RA_CATFUNC) IN('M','G') AND (TRIM(F.RA_CATEFD) IN('101', '999') OR TRIM(F.RA_CATEFD) IS NULL)
--                                                                    THEN TO_CHAR(TO_DATE(RA_ADMISSA, 'YYYYMMDD')+44, 'DDMMYYYY')-- MENSAL (Empregado Geral) - 45 Dias 
--                                WHEN (RTRIM(F.RA_CATFUNC) IN('E') AND (TRIM(F.RA_CATEFD) IN('101', '999','901') OR TRIM(F.RA_CATEFD) IS NULL)) 
--		 OR (TRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) IN('103','901')) 
--		 OR (TRIM(F.RA_CATFUNC) = 'G' AND RTRIM(F.RA_CATEFD) IN('901')) THEN    -- ESTAGIARIO ou MENSAL (Empregado Menor Aprendiz) 
--																			CASE 
--																				WHEN TRIM(F.RA_DEMISSA) IS NOT NULL
--                                                                                    THEN  
--	 																				SUBSTR(RA_DEMISSA,7,2)|| SUBSTR(RA_DEMISSA,5,2)||SUBSTR(RA_DEMISSA,1,4)
--																				ELSE								-- 2 Anos 
--	 																				(SELECT TO_CHAR(TO_DATE(RA_DEMISSA, 'YYYYMMDD')+729, 'DDMMYYYY')
--
--                                                                                    FROM TB_AUX_FUNCIONARIOS F2
--                                                                                    WHERE TRIM(F2.RA_ADMISSA) IS NOT NULL
--                                                                                    AND TRIM(F2.RA_DEMISSA) IS NOT NULL
--                                                                                    AND F.CODEMP = F2.CODEMP
--                                                                                    AND F.RA_MAT = F2.RA_MAT
--                                                                                    AND F.RA_FILIAL = F2.RA_FILIAL)
--
--																			END
--
--	 WHEN ((TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN('101','722')) OR (RTRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) = '722'))	THEN '' -- PROLABORE / PROLABORE
--	 WHEN TRIM(F.RA_CATFUNC) IN('A')     AND TRIM(F.RA_CATEFD) IN( '101', '701', '741')													THEN ''	-- AUTONOMO / AUTONOMO
--    WHEN TRIM(F.RA_CATFUNC) IN('A')     AND TRIM(F.RA_CATEFD) IS NULL													THEN ''
--END AS "201_DATA_DE_VENCIMENTO_DO_CONTRATO",
--CASE 
--
--	WHEN TRIM(F.RA_CATFUNC) IN('C','M','G') AND TRIM(F.RA_CATEFD) IN('101', '999')  THEN 'S' -- MENSAL  (Empregado Geral)
--	WHEN TRIM(F.RA_CATFUNC) IN('M','G') AND TRIM(F.RA_CATEFD) IS NULL															THEN 'S'
--    WHEN (TRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) IN('103','901')) OR (TRIM(F.RA_CATFUNC) = 'G' AND RTRIM(F.RA_CATEFD) IN('901'))	THEN 'N' -- MENSAL  (Empregado Menor Aprendiz)
--	WHEN RTRIM(F.RA_CATFUNC) IN('E')     AND RTRIM(F.RA_CATEFD) IN('101','901')															THEN 'N' -- ESTAGIARIO / ESTAGIARIO
--	WHEN RTRIM(F.RA_CATFUNC) IN('E')     AND RTRIM(F.RA_CATEFD) IS NULL															THEN 'N' 
--    WHEN ((RTRIM(F.RA_CATFUNC) = 'P' AND RTRIM(F.RA_CATEFD) IN('101','722')) OR (RTRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) = '722'))	THEN 'N' -- PROLABORE / PROLABORE
--	WHEN RTRIM(F.RA_CATFUNC) IN('A')     AND RTRIM(F.RA_CATEFD) IN( '101', '701', '741')													THEN ''	 -- AUTONOMO / AUTONOMO
--    WHEN RTRIM(F.RA_CATFUNC) IN('A')     AND RTRIM(F.RA_CATEFD) IS NULL											THEN ''
--END AS "202_PRORROGACAO_DE_CONTRATO",
-------------------------------------------------------------------------------------------------
--CASE 
--
--	WHEN TRIM(F.RA_CATFUNC) IN('C','M','G') AND TRIM(F.RA_CATEFD) IN('101', '999')															THEN '45' -- MENSAL  (Empregado Geral)
--	WHEN TRIM(F.RA_CATFUNC) IN('M','G') AND TRIM(F.RA_CATEFD) IS NULL															THEN '45'
--    WHEN (TRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) IN('103','901')) OR (TRIM(F.RA_CATFUNC) = 'G' AND RTRIM(F.RA_CATEFD) IN('901'))	THEN ''	  -- MENSAL  (Empregado Menor Aprendiz)
--	WHEN RTRIM(F.RA_CATFUNC) IN('E')     AND RTRIM(F.RA_CATEFD) IN('101','901')															THEN ''   -- ESTAGIARIO / ESTAGIARIO
--	WHEN RTRIM(F.RA_CATFUNC) IN('E')     AND RTRIM(F.RA_CATEFD) IS NULL															THEN ''
--    WHEN ((RTRIM(F.RA_CATFUNC) = 'P' AND RTRIM(F.RA_CATEFD) IN('101','722')) OR (RTRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) = '722'))	THEN ''   -- PROLABORE / PROLABORE
--	WHEN RTRIM(F.RA_CATFUNC) IN('A')     AND RTRIM(F.RA_CATEFD) IN( '101', '701', '741')													THEN ''	  -- AUTONOMO / AUTONOMO
--    WHEN RTRIM(F.RA_CATFUNC) IN('A')     AND RTRIM(F.RA_CATEFD) IS NULL													THEN ''
--END AS "203_QUANTIDADE_DE_DIAS_DA_PRORROGACAO_DO_CONTRATO",
--CASE 
--
--	WHEN RTRIM(F.RA_CATFUNC) IN('E') AND RTRIM(F.RA_CATEFD) IS NULL																	THEN '' -- ESTAGIARIO / ESTAGIARIO
--	WHEN RTRIM(F.RA_CATFUNC) IN('E') AND RTRIM(F.RA_CATEFD) IN('101','901')																	THEN ''
--    WHEN ((RTRIM(F.RA_CATFUNC) = 'P' AND RTRIM(F.RA_CATEFD) IN('101','722','723')) OR (RTRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) = '722'))		THEN '' -- PROLABORE / PROLABORE
--	WHEN RTRIM(F.RA_CATFUNC) IN('A')     AND RTRIM(F.RA_CATEFD) IN('101', '701', '741')														THEN ''	-- AUTONOMO / AUTONOMO
--	WHEN RTRIM(F.RA_CATFUNC) IN('A')     AND RTRIM(F.RA_CATEFD) IS NULL												THEN ''
--    WHEN (TRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) IN('103','901')) OR (TRIM(F.RA_CATFUNC) = 'G' AND RTRIM(F.RA_CATEFD) IN('901'))		THEN ''	-- MENSAL  (Empregado Menor Aprendiz)
--
--	WHEN RTRIM(F.RA_CATFUNC) IN('C','M','G') AND (RTRIM(F.RA_CATEFD) IN('101', '999') OR TRIM(F.RA_CATEFD)IS NULL)	THEN																-- MENSAL  (Empregado Geral)
--	 																TO_CHAR(TO_DATE(RA_ADMISSA, 'YYYYMMDD')+89, 'DDMMYYYY')
--END AS "204_DATA_DE_VENCIMENTO_DA_PRORROGACAO_DO_CONTRATO",
 
 
CASE WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) IS NULL   THEN 'S'  -- ESTAGIARIO / Estagirio
	 WHEN TRIM(F.RA_CATFUNC) IN ('E') AND TRIM(F.RA_CATEFD) = '101' THEN 'S'  -- ESTAGIARIO HORISTA / Estagirio
	 WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) = '901' THEN 'S'  -- ESTAGIARIO HORISTA / Estagirio
     WHEN TRIM(F.RA_CATFUNC) = 'G' AND TRIM(F.RA_CATEFD) = '901' THEN 'S'

     WHEN TRIM(F.RA_CATFUNC) IN ('G','H') AND TRIM(F.RA_CATEFD) = '101' THEN 'S'
     WHEN TRIM(F.RA_CATFUNC) = 'C' AND TRIM(F.RA_CATEFD) = '101' THEN 'S'
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IS NULL   THEN 'S'  -- MENSAL / Empregado - Geral, inclusive o empregado pblico da administrao direta ou indireta contratado pela CLT.
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IN ('101','105') THEN 'S'  
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '999' THEN 'S'  

	 WHEN TRIM(F.RA_CATFUNC)  IN ('H', 'M') AND TRIM(F.RA_CATEFD) = '103' THEN 'S'  -- MENSAL / Empregado - Aprendiz
     WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '901' THEN 'S'   

	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) = '101' THEN 'N'  -- PROLABORE / Contribuinte individual - Diretor no empregado, sem FGTS
	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN ('722','721') THEN 'N'    
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '722' THEN 'N'    
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IN ('101','701','721','723') THEN 'N'
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IS NULL THEN 'N'
	 ELSE 'N'
END AS "199_CONTRATO_DE_EXPERIENCIA_TEMPORARIO_PRAZO_DETERMINADO",
 
CASE WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) IS NULL   THEN '365'  -- ESTAGIARIO / Estagirio
	 WHEN TRIM(F.RA_CATFUNC) IN ('E') AND TRIM(F.RA_CATEFD) = '101' THEN '365'  -- ESTAGIARIO HORISTA / Estagirio
	 WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) = '901' THEN '365'  -- ESTAGIARIO HORISTA / Estagirio
     WHEN TRIM(F.RA_CATFUNC) = 'G' AND TRIM(F.RA_CATEFD) = '901' THEN '365'

     WHEN TRIM(F.RA_CATFUNC) IN ('G','H') AND TRIM(F.RA_CATEFD) = '101' THEN '90'
     WHEN TRIM(F.RA_CATFUNC) = 'C' AND TRIM(F.RA_CATEFD) = '101' THEN '90'
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IS NULL   THEN '90'  -- MENSAL / Empregado - Geral, inclusive o empregado pblico da administrao direta ou indireta contratado pela CLT.
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IN ('101','105') THEN '90'  
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '999' THEN '90'  

	 WHEN TRIM(F.RA_CATFUNC)  IN ('H', 'M') AND TRIM(F.RA_CATEFD) = '103' THEN '90'  -- MENSAL / Empregado - Aprendiz
     WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '901' THEN '90'   

	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) = '101' THEN ''  -- PROLABORE / Contribuinte individual - Diretor no empregado, sem FGTS
	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN ('722','721') THEN ''    
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '722' THEN ''    
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IN ('101','701','721','723') THEN ''
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IS NULL THEN ''
	 ELSE ''
END  AS "200_QUANTIDADE_DE_DIAS_DO_CONTRATO",
 
CASE WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) IS NULL   THEN TO_CHAR(TO_DATE(F.RA_ADMISSA,'YYYYMMDD')+364,'DDMMYYYY')  -- ESTAGIARIO / Estagirio
	 WHEN TRIM(F.RA_CATFUNC) IN ('E') AND TRIM(F.RA_CATEFD) = '101' THEN TO_CHAR(TO_DATE(F.RA_ADMISSA,'YYYYMMDD')+364,'DDMMYYYY')  -- ESTAGIARIO HORISTA / Estagirio
	 WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) = '901' THEN TO_CHAR(TO_DATE(F.RA_ADMISSA,'YYYYMMDD')+364,'DDMMYYYY')  -- ESTAGIARIO HORISTA / Estagirio
     WHEN TRIM(F.RA_CATFUNC) = 'G' AND TRIM(F.RA_CATEFD) = '901' THEN TO_CHAR(TO_DATE(F.RA_ADMISSA,'YYYYMMDD')+364,'DDMMYYYY')

     WHEN TRIM(F.RA_CATFUNC) IN ('G','H') AND TRIM(F.RA_CATEFD) = '101' THEN TO_CHAR(TO_DATE(F.RA_ADMISSA,'YYYYMMDD')+89,'DDMMYYYY')
     WHEN TRIM(F.RA_CATFUNC) = 'C' AND TRIM(F.RA_CATEFD) = '101' THEN TO_CHAR(TO_DATE(F.RA_ADMISSA,'YYYYMMDD')+89,'DDMMYYYY')
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IS NULL   THEN TO_CHAR(TO_DATE(F.RA_ADMISSA,'YYYYMMDD')+89,'DDMMYYYY')  -- MENSAL / Empregado - Geral, inclusive o empregado pblico da administrao direta ou indireta contratado pela CLT.
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IN ('101','105') THEN TO_CHAR(TO_DATE(F.RA_ADMISSA,'YYYYMMDD')+89,'DDMMYYYY')
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '999' THEN TO_CHAR(TO_DATE(F.RA_ADMISSA,'YYYYMMDD')+89,'DDMMYYYY')

	 WHEN TRIM(F.RA_CATFUNC)  IN ('H', 'M') AND TRIM(F.RA_CATEFD) = '103' THEN TO_CHAR(TO_DATE(F.RA_ADMISSA,'YYYYMMDD')+89,'DDMMYYYY')  -- MENSAL / Empregado - Aprendiz
     WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '901' THEN TO_CHAR(TO_DATE(F.RA_ADMISSA,'YYYYMMDD')+89,'DDMMYYYY')   

	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) = '101' THEN ''  -- PROLABORE / Contribuinte individual - Diretor no empregado, sem FGTS
	 WHEN TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN ('722','721') THEN ''    
	 WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '722' THEN ''    
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IN ('101','701','721','723') THEN ''
     WHEN TRIM(F.RA_CATFUNC) = 'A' AND TRIM(F.RA_CATEFD) IS NULL THEN ''
	 ELSE ''
END  AS  "201_DATA_DE_VENCIMENTO_DO_CONTRATO",
 
 '' AS "202_PRORROGACAO_DO CONTRATO",
 '' AS "203_QUANTIDADE_DE_DIAS_PRORROGACAO",
 '' AS  "204_DATA_DE_VENCIMENTO_PRORROGACAO_DO_CONTRATO",
 '' AS "205_CONTRATO_POR_PRAZO_DETERMINADO_COM_CLAUSULA_ASSECURATORIA",
-----------------------------------------------------------------------------------------------
'' AS "206_APOSENTADO_POR_TEMPO_DE_CONTRIBUICAO_OU_POR_IDADE",
CASE 
	WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) IS NULL    THEN '81' -- ESTAGIARIO / Estagirios
	WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) = '101' THEN '81' 
	WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) = '901' THEN '81' 
    WHEN TRIM(F.RA_CATFUNC) = 'E' AND TRIM(F.RA_CATEFD) = '103' THEN '81'
    WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IS NULL   THEN '10' -- MENSAL / Trabalhador urbano vinculado a empregador pessoa jurdica por contrato de trabalho regido pela CLT, por prazo indeterminado
	WHEN TRIM(F.RA_CATFUNC) IN ('M','G','H','C') AND TRIM(F.RA_CATEFD) IN ('101','105') THEN '10' 
    WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '999' THEN '10' 
	WHEN TRIM(F.RA_CATFUNC) IN ('H','M') AND TRIM(F.RA_CATEFD) = '103' THEN '55' -- MENSAL / Aprendiz contratado na termos do art. 428 da CLT, regulamentado pelo Decreto n. 5.598, de 1 de dezembro de 2005
	WHEN TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) = '901' THEN '55' 
	WHEN TRIM(F.RA_CATFUNC) = 'G' AND TRIM(F.RA_CATEFD) = '901' THEN '55' 

	WHEN TRIM(F.RA_CATFUNC) = 'P' AND RTRIM(F.RA_CATEFD) = '101' THEN '80' -- PROLABORE / Diretor sem vnculo empregatcio para o qual a empresa/entidade tenha optado por recolhimento ao FGTS
	WHEN TRIM(F.RA_CATFUNC) = 'P' AND RTRIM(F.RA_CATEFD) IN  ('721','722') THEN '80' 
	WHEN TRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) = '722' THEN '80' 
    WHEN TRIM(F.RA_CATFUNC) IN ('A') AND RTRIM(F.RA_CATEFD) IN ('722','722','723','101','701') THEN '82'
	ELSE ''
END AS "207_VINCULO",
CASE 
	WHEN TRIM(RA_TIPOADM) IS NULL  THEN '1'     -- VAZIO                               - Admisso primeiro emprego
	WHEN TRIM(RA_TIPOADM) = '1A' THEN '1'     -- DIRETOR NO EMPREGADO/1 EMPREGO    - Admisso primeiro emprego
	WHEN TRIM(RA_TIPOADM) = '1B' THEN '2'     -- DIRETOR NO EMPREGADO/REEMPREGO     - Admisso com emprego anterior
	WHEN TRIM(RA_TIPOADM) = '1C' THEN '2'     -- DIRETOR NO EMPREGADO/TRANSFERENCIA - Transferncia para outro estabelecimento sem nus para a cedente
	WHEN TRIM(RA_TIPOADM) = '2B' THEN '2'     -- TRABALHADOR RURAL/REEMPREGO         - Admisso com emprego anterior
	WHEN TRIM(RA_TIPOADM) = '3A' THEN '1'     -- MENOR APRENDIZ/1 EMPREGO           - Admisso primeiro emprego
	WHEN TRIM(RA_TIPOADM) = '3B' THEN '2'     -- MENOR APRENDIZ/REEMPREGO            - Admisso com emprego anterior
	WHEN TRIM(RA_TIPOADM) = '4B' THEN '2'     -- REINTEGRACAO                        - Reintegrao
	WHEN TRIM(RA_TIPOADM) = '9A' THEN '1'     -- OUTROS/1 EMPREGO                   - Admisso primeiro emprego
	WHEN TRIM(RA_TIPOADM) = '9B' THEN '2'     -- OUTROS/REEMPREGO                    - Admisso com emprego anterior
	WHEN TRIM(RA_TIPOADM) = '9C' THEN '4'     -- OUTROS/TRANSFERENCIA                - Transferncia para outro estabelecimento sem nus para a cedente
    ELSE '1'
END AS "208_TIPO_DE_ADMISSAO",
-----------------------------------------------------------------------------------------------
--TRIM(RA_TIPOADM),
CASE 
	WHEN TRIM(RA_TIPOADM) IS NULL   THEN '10'     -- VAZIO                               - Admisso de empregado no 1 emprego
	WHEN TRIM(RA_TIPOADM) = '1A' THEN '10'     -- DIRETOR NO EMPREGADO/1 EMPREGO    - Admisso de empregado no 1 emprego
	WHEN TRIM(RA_TIPOADM) = '1B' THEN '20'     -- DIRETOR NO EMPREGADO/REEMPREGO     - Admisso de empregado com emprego anterior
	WHEN TRIM(RA_TIPOADM) = '1C' THEN '70'     -- DIRETOR NO EMPREGADO/TRANSFERENCIA - Transferncia de entrada
	WHEN TRIM(RA_TIPOADM) = '2B' THEN '20'     -- TRABALHADOR RURAL/REEMPREGO         - Admisso de empregado com emprego anterior
	WHEN TRIM(RA_TIPOADM) = '3A' THEN '10'     -- MENOR APRENDIZ/1 EMPREGO           - Admisso de empregado no 1 emprego
	WHEN TRIM(RA_TIPOADM) = '3B' THEN '20'     -- MENOR APRENDIZ/REEMPREGO            - Admisso de empregado com emprego anterior
	WHEN TRIM(RA_TIPOADM) = '4B' THEN '35'     -- REINTEGRACAO                        - Reintegrao
	WHEN TRIM(RA_TIPOADM) = '9A' THEN '10'     -- OUTROS/1 EMPREGO                   - Admisso de empregado no 1 emprego
	WHEN TRIM(RA_TIPOADM) = '9B' THEN '20'     -- OUTROS/REEMPREGO                    - Admisso de empregado com emprego anterior
	WHEN TRIM(RA_TIPOADM) = '9C' THEN '70' 
    WHEN TRIM(RA_TIPOADM) = '2A' THEN '10'
    WHEN TRIM(RA_TIPOADM) = '3C' THEN '25'
    ELSE '10'
END AS "209_MOVIMENTACAO_CAGED",

CASE 
    WHEN     TRIM(RA_NUMNATU) IS NOT NULL THEN ''  -- Se for naturalizado NO dever ser informada A CLASSIFICAO
    ELSE 
            CASE
                WHEN TRIM(F.RA_CLASEST) IS NOT NULL OR TRIM(F.RA_CPAISOR) IN('08508', '03417')    
                THEN '01' --Visto permanente 
                ELSE '' 
            END 
END AS "210_CLASSIFICACAO_DO_TRABALHADOR_ESTRANGEIRO",
-----------------------------------------------------------------------------------------------
''  AS "211_FILIACAO_SINDICAL",
''  AS "212_OBSERVACOES_PCD",
''  AS "213_CATEGORIA_DA_CESSAO_DO_COLABORADOR",

CASE 
	WHEN 
		F.RA_CATFUNC = 'E' THEN ''
	ELSE
		case when replace(F.RA_CTDEPSA,' ','') is null then '' else  '1' end 
	END

 AS "214_TIPO_CONTA",
-----------------------------------------------------------------------------------------------
''  AS "215_DESCRICAO_DO_ORGAO_EMISSOR_DO_PASSAPORTE",
case when FPW.FN_RETORNA_ESTAB_LOT(119, F.RA_FILIAL, F.CODEMP)=4001 then 4000 else FPW.FN_RETORNA_ESTAB_LOT(119, F.RA_FILIAL, F.CODEMP) end
--FPW.FN_RETORNA_ESTAB_LOT(119, F.RA_FILIAL, F.CODEMP)
AS "216_LOTACAO_TRIBUTARIA",
'' AS "217_PREENCHE_COTA_DE_PESSOAS_COM_DEFICIEN_CIAS_HABILITADAS_OU_DE_BENEFICIARIOS_REABILITADOS",
'' AS "218_INDICATIVO_DE_PROVIMENTO_ESTATUTARIO",
'' AS "219_TIPO_DE_PROVIMENTO_ESTATUTARIO",
'' AS "220_DATA_DA_NOMEACAO",
'' AS "221_DATA_DA_POSSE",
'' AS "222_DATA_DA_ENTRADA_EM_EXERCiCIO",
'' AS "223_Tipo_Plano_Segregacao",
'' AS "224_Numero_Processo_Judicial",
'' AS "225_TIPO_REGIME_PREVIDENCIARIO_NA_EMPRESA_DE_ORIGEM",
'' AS "226_TIPO_REGIME_TRABALHISTA_NA_EMPRESA_DE_ORIGEM",
CASE 
    WHEN (TRIM(F.RA_CATFUNC) IN('E') AND (TRIM(F.RA_CATEFD)IS NULL OR TRIM(F.RA_CATEFD) IN('101','901')) OR (TRIM(F.RA_CATFUNC) IN('G') AND (TRIM(F.RA_CATEFD)='901'))) THEN

																				CASE WHEN
																					(SELECT
																						CASE 
																							WHEN inst.RFS_NIVEL = '1' THEN '1'
																							WHEN inst.RFS_NIVEL = '2' THEN '2'
																							WHEN inst.RFS_NIVEL = '3' THEN '3'
																							WHEN inst.RFS_NIVEL = '4' THEN '4'
																							WHEN inst.RFS_NIVEL = '8' THEN '8'
																							WHEN inst.RFS_NIVEL = '9' THEN '8'
																						END
																					FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						CAST(inst.CodEmp AS INT) = CAST(F.CODEMP AS INT)
																						AND inst.RFS_FILIAL = F.RA_FILIAL
																						AND inst.RFS_MAT = F.RA_MAT
                                                                                        AND ROWNUM = 1
																				)IS NULL THEN '3' -- Padro - Formao Profissional 
                                                                                ELSE
                                                                                (SELECT
																						CASE 
																							WHEN inst.RFS_NIVEL = '1' THEN '1'
																							WHEN inst.RFS_NIVEL = '2' THEN '2'
																							WHEN inst.RFS_NIVEL = '3' THEN '3'
																							WHEN inst.RFS_NIVEL = '4' THEN '4'
																							WHEN inst.RFS_NIVEL = '8' THEN '8'
																							WHEN inst.RFS_NIVEL = '9' THEN '8'
																						END
																					FROM
																						TB_AUX_INFOESTAGIARIOS inst
																					WHERE	
																						CAST(inst.CodEmp AS INT) = CAST(F.CODEMP AS INT)
																						AND inst.RFS_FILIAL = F.RA_FILIAL
 																						AND inst.RFS_MAT = F.RA_MAT
                                                                                         AND ROWNUM = 1
																				)END

	ELSE ''
END AS "227_NIVEL_DO_ESTAGIO_INFORMACOES_DO_ESTAGIARIO",
'' AS "228_JUSTIFICATIVA_DA_CONTRATACAO_TEMPORARIO",
'' AS "229_TIPO_DE_INCLUSAO_CONTRATUAL_TEMPORARIO",
----------------------------------------------------------------------------------------------

CASE 
	WHEN TRIM(F.RA_CATFUNC) IN('M','G') AND TRIM(F.RA_CATEFD) IN('101', '999')	THEN 'PRORROGAO DE CONTRATO'  -- MENSAL  (Empregado Geral)
	WHEN TRIM(F.RA_CATFUNC) IN('M','G') AND TRIM(F.RA_CATEFD) IS NULL	THEN 'PRORROGAO DE CONTRATO' 
    WHEN (TRIM(F.RA_CATFUNC) = 'M' AND TRIM(F.RA_CATEFD) IN('103','901')) OR (TRIM(F.RA_CATFUNC) = 'G' AND RTRIM(F.RA_CATEFD) IN('901'))		THEN ''							-- MENSAL  (Empregado Menor Aprendiz)
	WHEN TRIM(F.RA_CATFUNC) IN ('E') AND TRIM(F.RA_CATEFD) IN ('101','901')		THEN ''	
    WHEN TRIM(F.RA_CATFUNC) IN ('E') AND TRIM(F.RA_CATEFD) IS NULL	THEN ''-- ESTAGIARIO / ESTAGIARIO
    WHEN ((TRIM(F.RA_CATFUNC) = 'P' AND TRIM(F.RA_CATEFD) IN('101','722')) OR (RTRIM(F.RA_CATFUNC) = 'M' AND RTRIM(F.RA_CATEFD) = '722'))		THEN ''							-- PROLABORE / PROLABORE
	WHEN TRIM(F.RA_CATFUNC) IN ('A') AND TRIM(F.RA_CATEFD) IN('101', '701', '741')THEN ''		
    WHEN TRIM(F.RA_CATFUNC) IN ('A') AND TRIM(F.RA_CATEFD) IS NULL THEN ''-- AUTONOMO / AUTONOMO
END AS "230_JUSTIFICATIVA_DA_PRORROGACAO_TEMPORARIO",
TRIM(RA_NSOCIAL) AS "231_NOME_SOCIAL",

CASE WHEN
TRIM(RA_NUMNATU) IS NOT NULL THEN 'S'
ELSE ''
END AS "232_NATURALIZADO_BRASILEIRO",

'' AS "233_ADMISSaO_PRELIMINAR",
-----------------------------------------------------------------------------------------------
'ISENTO' AS "234_PERFIL_DE_FREQUENCIA",
-----------------------------------------------------------------------------------------------
'' AS "235_TURMA",
'' AS "236_DATA_DA_ADESaO_A_REFORMA_TRABALHISTA",
'' AS "237_TIPO_DE_PESSOA",
'' AS "238_CPF_MEI",
'' AS "239_INSCRICAO_ISS",
'' AS "240_Status Autonomo",
'' AS "241_GERAR_GPS",
'' AS "242_CATEGORIA_AUTONOMO",
'' AS "243_DISPONIBILIZAR_MEI",
'' AS "244_CLASSE",
'' AS "245_MATRICULA_PREVIDENCIARIA",
TRIM(RA_CODUNIC) 
 AS "246_MATRICULA_ESOCIAL", 
CASE 
    WHEN RTRIM(RA_TIPOADM) IN('1C','9C') THEN '1'
    ELSE ''
END AS "247 Tipo da identificaoo da Empresa origem  Dados da Sucesso",
'' AS "248 Utiliza CTPS digital",

  '' 
AS "249_DATA_INGRESSO_CARGO",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "250_TETO_REMUNERACAO_RGPS",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "251_RECEBIMENTO_ABONO_PERMANENTE",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "252_CARGO_EMPPREGO_FUNCAOPUBLICA_PUBLICAACUMULAVEL",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "253_NMERO_PROCESSO_TRABALHISTA",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "254_TEMPO_RESIDENCIA_IMIGRANTE",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "255_REGIME_TRABALHISTA_DIRIGENTE_SIND",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "256_TIPO_REGIME_PREV_DIRIGENTE_SIND",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "257_DT_INICIO_ABONO",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "258_OPCAO_REMUNERACAO",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "259_REGIME_TRABALHISTA_MANDATO",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "260_TIPO_REGIME_PREV_MANDATO",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "261_COLABORADOR_CEDIDO",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "262_DT_INICIO_CESSAO",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "263_COLABORADOR_HOME",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "264_GENERO",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "265 Categoria Origem  Mandato Eletivo",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  ''  
AS "266 CNPJ Origem", -- Mandato Eletivo N 014 - Obrigatrio somente quando a categoria for 304
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  '' 
AS "267 Data Exerccio Origem  Mandato",
  /*--------------------------------------------------------------------------------------------------------------------------------------------------------*/
  ''
AS "268 Matrcula Origem  Mandato",

  ''
AS "269",
  ''
AS "270"
--,  TO_CHAR(FN_RETORNA_CARGO_LG(TO_CHAR(FN_RETORNA_CARGO_ADM(F.RA_FILIAL, F.RA_MAT)))) ,TRIM(F.RA_CODFUNC)
FROM  
TB_AUX_FUNCIONARIOS F 
LEFT JOIN LG_DEPARA_MATRICULA LGM
	ON (LGM.FILIAL_PROTHEUS = F.RA_FILIAL AND LGM.MATRICULA_PROTHEUS = F.RA_MAT)
LEFT JOIN TB_TRANSFERENCIAS TRA
  ON (TRA.DESTINO = F.RA_FILIAL AND TRA.MAT_DESTINO = F.RA_MAT)
WHERE EXISTS (SELECT 1 FROM TB_TRANSFERENCIAS TF WHERE TF.EMP_ORIGEM_LG = TRA.EMP_ORIGEM_LG AND TF.MAT_ORIGEM = TRA.MAT_ORIGEM)






/*
where not exists (select 1 from TB_AUX_MOTIVOS_RESCISAO
WHERE X5_CHAVE = F.RA_RESCRAI AND X5_FILIAL = F.RA_FILIAL AND X5_CHAVE IN (30, 31))--31-TRANSFERENCIA SEM ONUS PARA A CEDENTE/30-TRANSFERENCIA COM ONUS PARA A CEDENTE 
AND TRIM(F.RA_FILIAL || F.RA_MAT) NOT IN ('010102002639','010101004104','060102000031','060101000032','060102000033') --5 MATRICULAS DE TRANF ENTRE EMPRESA
--AND F.RA_CATFUNC NOT IN ('A', 'E','P')
-----------------------------------------------------------------------------------------------
AND FN_RETORNA_EMPRESA(F.RA_FILIAL, F.CODEMP)||'-'||LGM.MATRICULA_LG IN ('1-452','1-634','1-2565','1-638','1-955','1-1092','1-1183','3-777','7-106','12-128','12-131','12-132','12-112','12-114','12-115','12-38','12-95',
'12-100','12-111','12-141','12-144','12-146','12-150','12-156','13-84','16-48','16-86')
-----------------------------------------------------------------------------------------------

--02062008


and  trim(f.ra_filial) = '010101' and trim(f.ra_mat) = '000013'

AND FN_RETORNA_EMPRESA(F.RA_FILIAL, F.CODEMP)||LGM.MATRICULA_LG NOT IN (select hash from TB_AUX_COLABS_MIGRADOS)
--AND FN_RETORNA_EMPRESA(F.RA_FILIAL, F.CODEMP)||LGM.MATRICULA_LG NOT IN ('2310',	'2307',	'11320','11321','3110',	'11487','439',	'431',	'3589',	'3590'	)
--AND FN_RETORNA_EMPRESA(F.RA_FILIAL, F.CODEMP)||LGM.MATRICULA_LG IN ('490', '4116', '493', '11431', '487', '2645', '11582', '4103', '12186', '483', '481', '12639', '486', '482', '4111', '499', '479', '4107', '4100', '3382', '425', '489', '12582', '485', '3261', '2394', '53', '1408', '4101', '2493', '12260', '1438', '2579', '476', '4117', '12503', '775', '492', '484', '4114')
--AND TRIM(F.RA_NOMECMP) ='ROGERIO GOMES DOS SANTOS'
--AND  TO_CHAR(FN_RETORNA_CARGO_LG(TO_CHAR(FN_RETORNA_CARGO_ADM(F.RA_FILIAL, F.RA_MAT))))  IS NULL
ORDER BY ROWNUM;
*/

