/*
	TABELA - Historico de transferencias
	Tabela: SRE

	DROP VIEW TB_AUX_TRANSFERENCIA
	SELECT * FROM TB_AUX_TRANSFERENCIA
	SELECT * FROM SIGAP12.SRE010
	SELECT * FROM SIGAP12.SRE060
*/

CREATE TABLE TB_AUX_TRANSFERENCIA AS

	
SELECT 
	mov.RE_EMPD AS CodEmp,	/* Codigo da Empresa */
	mov.RE_EMPD,			/* Codigo da Empresa de Origem */
	mov.RE_EMPP,			/* Codigo da Empresa de Destino */
	mov.RE_FILIALD,			/* Codigo da Filial Origem */
	mov.RE_FILIALP,			/* Codigo da Filial Destino */
	mov.RE_MATD,			/* Matricula de Origem */
	mov.RE_MATP,			/* Matricula de Destino */
	mov.RE_DATA,			/* Data da Transferencia */
	mov.RE_CCD,				/* Centro Custo de Origem */
	mov.RE_CCP,				/* Centro Custo de Destino */
	mov.RE_DESL				/* Motivo de desligamento */
FROM
	SIGAP12.SRE010 mov
WHERE
	mov.D_E_L_E_T_ <> '*'
	
	
	UNION ALL SELECT 
	mov.RE_EMPD AS CodEmp,	/* Codigo da Empresa */
	mov.RE_EMPD,			/* Codigo da Empresa de Origem */
	mov.RE_EMPP,			/* Codigo da Empresa de Destino */
	mov.RE_FILIALD,			/* Codigo da Filial Origem */
	mov.RE_FILIALP,			/* Codigo da Filial Destino */
	mov.RE_MATD,			/* Matricula de Origem */
	mov.RE_MATP,			/* Matricula de Destino */
	mov.RE_DATA,			/* Data da Transferencia */
	mov.RE_CCD,				/* Centro Custo de Origem */
	mov.RE_CCP,				/* Centro Custo de Destino */
	mov.RE_DESL				/* Motivo de desligamento */
FROM
	SIGAP12.SRE060 mov
WHERE
	mov.D_E_L_E_T_ <> '*'

