CREATE TABLE TB_AUX_MOTIVOS_RESCISAO AS

SELECT '01' CODEMP, SX5.* FROM SIGAP12.SX5010 SX5 WHERE SX5.X5_TABELA = '27' AND D_E_L_E_T_ <> '*'
UNION ALL SELECT '06' CODEMP, SX5.* FROM SIGAP12.SX5060 SX5 WHERE SX5.X5_TABELA = '27' AND D_E_L_E_T_ <> '*';

SELECT * FROM TB_AUX_MOTIVOS_RESCISAO ORDER BY X5_CHAVE;

SELECT 
        SUBSTR(RCC_CONTEU, 1,2)  AS "TipoRescisao",
        SUBSTR(RCC_CONTEU, 3,29) AS "Descricao", 
        SUBSTR(RCC_CONTEU, 33,1) AS "Indenizacao",
        SUBSTR(RCC_CONTEU, 34,1) AS "AvisoPrevio",
        SUBSTR(RCC_CONTEU, 35,1) AS "DecimoTerceiroRescisao",
        SUBSTR(RCC_CONTEU, 36,1) AS "FeriasProporcinais",
        SUBSTR(RCC_CONTEU, 37,1) AS "FGTSMesAnterior",
        SUBSTR(RCC_CONTEU, 38,1) AS "FGTSMesRescisao",
        SUBSTR(RCC_CONTEU, 39,1) AS "FGTSMesMulta40",
        SUBSTR(RCC_CONTEU, 40,1) AS "FGTSMesAnterior",
         SUBSTR(RCC_CONTEU, 40,1) AS "FGTSMesAnterior"
        FROM SIGAP12.RCC010 where RCC_CODIGO = 'S043' AND D_E_L_E_T_ <> '*';
        
        







