/*
	HISTÓRICO DE MOVIMENTAÇÕES DE ESTABELECIMENTO
	BASE PROTHEUS - CICOPAL
	
	PROCESSO FOI FEITO VALIDANDO QUEM TEVE ALTERAÇÃO DE ESTABELECIMENTO E QUE A EMPRESA LG
	PERMANECEU A MESMA
	OBS: FOI ENCONTRADO 5 MATRÍCULAS, A QUAL FOI ALTERADA A
*/
SELECT
    'ENTÃO'              AS "001 ENTÃO",
    ROW_NUMBER()
    OVER(
        ORDER BY
            MOV.CODEMP, MOV.RE_FILIALD, MOV.RE_MATD, MOV.RE_DATA
    )                    AS "002 ID",
    'NÃO'                AS "003 IGNORAR",
  --  MOV.R7_DATA,
    SUBSTR(MOV.RE_DATA,7,2) ||'/' || SUBSTR(MOV.RE_DATA, 5, 2) || '/' || SUBSTR(MOV.RE_DATA,1, 4) AS "004 DATA MOVIMENTAÇÃO",
-----------------------------------------------------------------------------------------------
    FN_RETORNA_EMPRESA(RE_FILIALP, RE_EMPP) AS "005 CODIGO DA EMPRESA",
-----------------------------------------------------------------------------------------------
    MAT_FUNC.MATRICULA_LG AS "006 MATRICULA",
-----------------------------------------------------------------------------------------------
3 AS "007 CODIGO DO MOTIVO DA MOVIMENTAÇÃO", 
-----------------------------------------------------------------------------------------------
'REESTRUTURAÇÃO' AS "008 DESCRIÇÃO",
FPW.FN_RETORNA_ESTAB_LOT(119, MOV.RE_FILIALD, MOV.CODEMP) AS "018 CODIGO ESTABELECIMENTO",
FPW.FN_RETORNA_ESTAB_LOT(119, MOV.RE_FILIALD, MOV.CODEMP) AS "019 CODIGO LOTAÇÃO TRIBUTÁRIA"
 
FROM
TB_AUX_TRANSFERENCIA MOV
LEFT JOIN LG_DEPARA_EMPRESA EMPRESA_DESTINO ON TRIM(EMPRESA_DESTINO.M0_CODFIL) = TRIM(RE_FILIALP)
LEFT JOIN LG_DEPARA_EMPRESA EMPRESA_ORIGEM ON TRIM(EMPRESA_ORIGEM.M0_CODFIL) = TRIM(RE_FILIALD)


LEFT JOIN TB_AUX_FUNCIONARIOS ON RA_FILIAL = RE_FILIALD AND RA_MAT = RE_MATD 
AND TB_AUX_FUNCIONARIOS.CODEMP = MOV.CODEMP
LEFT JOIN LG_DEPARA_MATRICULA LGM
	ON LGM.FILIAL_PROTHEUS = TB_AUX_FUNCIONARIOS.RA_FILIAL AND LGM.MATRICULA_PROTHEUS = TB_AUX_FUNCIONARIOS.RA_MAT 
    AND LGM.EMPESA_PROTHEUS = TB_AUX_FUNCIONARIOS.CODEMP

INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS F ON MOV.CODEMP = F.CODEMP
AND MOV.RE_FILIALD = F.RA_FILIAL AND MOV.RE_MATD = F.RA_MAT
                                                
LEFT JOIN LG_DEPARA_MATRICULA MAT_FUNC ON (TO_NUMBER(MAT_FUNC.FILIAL_PROTHEUS) = 
TO_NUMBER(RE_FILIALP) AND TO_NUMBER(MAT_FUNC.MATRICULA_PROTHEUS) 
= TO_NUMBER(RE_MATP))

WHERE FPW.FN_RETORNA_ESTAB_LOT(119, MOV.RE_FILIALD, MOV.CODEMP) 
<> FPW.FN_RETORNA_ESTAB_LOT(119, MOV.RE_FILIALP, MOV.CODEMP)
AND EMPRESA_ORIGEM.CODIGO_EMPRESA_LG = EMPRESA_DESTINO.CODIGO_EMPRESA_LG

ORDER BY MOV.RE_DATA,5,6




