select 

'00020' as '0001 Cdigo do leiaute',

ROW_NUMBER() OVER(ORDER BY fun.numemp, dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP')) AS '0002 Pessoa ID - colaborador ',

CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
END as '0003 Empresa do contrato',

dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') as '0004 Matrcula do colaborador',

CASE 
	when fun.coddef = 1 then 1--'Fisica'
	when fun.coddef = 2 then 2--'Auditiva'
	when fun.coddef = 3 then 3--'Visual'
	when fun.coddef = 4 then 6--'Intelectual'
	when fun.coddef = 5 then 1--'Multipla'
	when fun.coddef = 6 then 4--'Mental'
	--when fun.coddef = 7 then 'Motora'
	--when fun.coddef = 99 then 'Outros/Migra'
END '0005 Tipo de deficincia' ,

CASE
	CASE  when fun.coddef = 1 then 1--'Fisica'
          when fun.coddef = 2 then 2--'Auditiva'
          when fun.coddef = 3 then 3--'Visual'
          when fun.coddef = 4 then 6--'Intelectual'
          when fun.coddef = 5 then 1--'Multipla'
          when fun.coddef = 6 then 4--'Mental'
          --when fun.coddef = 7 then 'Motora'
          --when fun.coddef = 99 then 'Outros/Migra'
     END 
      when 1 then 37
      when 3 then 20
	  when 2 then 39
      when 6 then 29
END AS '0006 Classificao do tipo de deficincia',

REPLACE(CONVERT(VARCHAR(10), FUN.DATADM, 103), '/', '') AS '0007 Data incio (da deficincia)',
'' AS '0008 Data fim (da deficincia)'
from r034fun fun
 INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG
   ON FUN.numemp=MIG.NUMEMP AND FUN.TIPCOL=MIG.TIPCOL AND FUN.numCAD=MIG.NUMCAD
where --fun.deffis = 'S' and fun.coddef <> 0 and fun.numemp = 10 and
fun.TIPCOL in (1) and fun.coddef<>0 
order by 2










