/*-------------------------------------------------------------------------------------------------------------------------------------
| ATENO: Antes de importar o arquivo de reintegrao, verifique os pontos abaixo no script
|    1. Campo 08 Iniciar Novo Perodo Aquisitivo, pois a reintegrao pode ou reiniciar o PA e isso impacta diretamente as frias
+------------------------------------------------------------------------------------------------------------------------------------*/
USE ORIGEM_GHC_SENIOR_SJRP_02_09_2022
SELECT    
   dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') AS "1 Matrcula (Colaborador)", 
   CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END AS '2CdiEmpresa', 			
   REPLACE(CONVERT(DATE,REI.DATREI,103),'-','/') as '03_DtaReintegrao',
   ''         as '04_DtaPublicacao',
   ''         as '05_SitPublicacao',
   1          as '05_TipoReintegracao',
   REPLACE(CONVERT(DATE,REI.DATRET,103),'-','/') as '07_DtaRetornoEfetivo',
   'S'        as '08_IniciarNovoPA', --Se for sim, deve informar data de um novo PA
   REPLACE(CONVERT(DATE,REI.DATRET,103),'-','/')         as '09_DtaInicioNovoPA',
   REI.CODPRO as '10_NroProcesso',
   REI.LEIANi as '11_LeiAnistia',
   REI.pagjui as '12_PagtoJuizao',
   ''         as '13_Observacoes',
   ''         as '14_TranfValResc',
   REPLACE(CONVERT(DATE,res.datdem,103),'-','/') as '15_DtaRescisao',
   ''         as '16_FolhaDestino',
   ''         as '17_SituacaoCalculo'
FROM 
   R034REI REI
   left JOIN R042RCM RES ON 
      REI.numemp = RES.numemp AND 
	  REI.cadori = RES.numcad
   INNER JOIN r034fun FUN ON 
      FUN.numemp = rei.numemp AND 
	  FUN.numcad = rei.numcad
   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG ON 
		FUN.numemp=MIG.NUMEMP AND 
		FUN.TIPCOL=MIG.TIPCOL AND 
		FUN.numCAD=MIG.NUMCAD
where 
   fun.tipcol = 1 and
  (fun.sitafa <> 7 or (fun.sitafa = 7 and fun.datafa >= '01/01/2017')) --Demitido
  --AND rei.NUMCAD IN (475,34000450, 34002254,34005239 )
  AND FUN.NUMemp IN (1,2 )
