                                                                                    
SELECT  RA_FILIAL, RA_MAT, RA_NOME, RA_CIC, RA_ADMISSA, RA_VCTOEXP AS "Vcto Experiencia", TO_CHAR(TO_DATE(RA_VCTOEXP, 'YYYYMMDD') - TO_DATE(RA_ADMISSA, 'YYYYMMDD'))+1 AS "EXPERIENCIA",
        RA_VCTEXP2 AS "Vcto.Experiencia 2o Per.", TO_CHAR(TO_DATE(RA_VCTEXP2, 'YYYYMMDD') - TO_DATE(RA_VCTOEXP, 'YYYYMMDD')) AS "PRORROGACAO",
        RA_DEMISSA,
        RA_CATFUNC,
        CASE 
            WHEN TRIM(RA_CATFUNC) = 'M' THEN 'MENSALISTA'
            WHEN TRIM(RA_CATFUNC) = 'P' THEN 'PRO LABORRE'
            WHEN TRIM(RA_CATFUNC) = 'C' THEN 'COMISSIONADO'
            WHEN TRIM(RA_CATFUNC) = 'A' THEN 'AUTONOMO'
            WHEN TRIM(RA_CATFUNC) = 'E' THEN 'ESTAGIARIO MENSALISTA'
            WHEN TRIM(RA_CATFUNC) = 'H' THEN 'HORISTA'
        END AS "DESCRICAO"              
   FROM TB_AUX_FUNCIONARIOS
 WHERE TRIM(RA_ADMISSA) IS NOT NULL
   AND TRIM(RA_VCTOEXP) IS NOT NULL
   AND TRIM(RA_VCTEXP2) IS NOT NULL
ORDER BY TRIM(RA_CATFUNC);
